#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_ud_header_unpack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_printk, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_find_exact_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x22f3cf93, "");
SYMBOL_CRC(ib_unpack, 0xa432baf6, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_ud_header_unpack, 0x3fc2387c, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0xae956dce, "");
SYMBOL_CRC(mult_to_ib_rate, 0xe7b52e5f, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x61d24c52, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0x49d6e77e, "");
SYMBOL_CRC(__ib_alloc_pd, 0xb55b9c89, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0x8c1c87f4, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0x045532fe, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0xe4aa70fd, "");
SYMBOL_CRC(rdma_move_ah_attr, 0xbd009583, "");
SYMBOL_CRC(rdma_create_ah, 0xd02a152c, "");
SYMBOL_CRC(rdma_create_user_ah, 0x634d8d59, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0x00cd25ea, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0x58df5b94, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0x25af4e83, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0x8d802af6, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0x2b50a4e3, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0x3a89c8c8, "");
SYMBOL_CRC(rdma_modify_ah, 0x4c00b4a5, "");
SYMBOL_CRC(rdma_query_ah, 0x849ed8ff, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0xf1b92a87, "");
SYMBOL_CRC(ib_create_srq_user, 0x6731e802, "");
SYMBOL_CRC(ib_modify_srq, 0x64f960a0, "");
SYMBOL_CRC(ib_query_srq, 0x230f30b2, "");
SYMBOL_CRC(ib_destroy_srq_user, 0x74d628bd, "");
SYMBOL_CRC(ib_open_qp, 0x20829b64, "");
SYMBOL_CRC(ib_create_qp_user, 0x56003d68, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0x5ad31010, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0x41abf137, "");
SYMBOL_CRC(ib_create_qp_kernel, 0x082e4b07, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0x73baf9a2, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0xf1b715c2, "");
SYMBOL_CRC(ib_get_eth_speed, 0x85470058, "");
SYMBOL_CRC(ib_modify_qp, 0x23627186, "");
SYMBOL_CRC(ib_query_qp, 0x38a09a1b, "");
SYMBOL_CRC(ib_close_qp, 0x94b0f918, "");
SYMBOL_CRC(ib_destroy_qp_user, 0x701803f7, "");
SYMBOL_CRC(__ib_create_cq, 0x70bea24e, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0x77a884ed, "");
SYMBOL_CRC(ib_destroy_cq_user, 0x757b6afa, "");
SYMBOL_CRC(ib_resize_cq, 0x82567340, "");
SYMBOL_CRC(ib_reg_user_mr, 0x3640c656, "");
SYMBOL_CRC(ib_advise_mr, 0x5cfc1f5e, "");
SYMBOL_CRC(ib_dereg_mr_user, 0xb71ebe18, "");
SYMBOL_CRC(ib_alloc_mr, 0xa13908a6, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0x92522b56, "");
SYMBOL_CRC(ib_attach_mcast, 0xb0970160, "");
SYMBOL_CRC(ib_detach_mcast, 0x8c5bf2f1, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0x5303ed7e, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0x68fd0c09, "");
SYMBOL_CRC(ib_create_wq, 0x3818a2c6, "");
SYMBOL_CRC(ib_destroy_wq_user, 0x7c8932fb, "");
SYMBOL_CRC(ib_check_mr_status, 0x405414d6, "");
SYMBOL_CRC(ib_set_vf_link_state, 0x2dca095a, "");
SYMBOL_CRC(ib_get_vf_config, 0x6a310365, "");
SYMBOL_CRC(ib_get_vf_stats, 0xc7fcff89, "");
SYMBOL_CRC(ib_set_vf_guid, 0x729f0526, "");
SYMBOL_CRC(ib_get_vf_guid, 0xc3d4a6b6, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0xdbb026ee, "");
SYMBOL_CRC(ib_map_mr_sg, 0x4a074d74, "");
SYMBOL_CRC(ib_sg_to_pages, 0x2fd04f04, "");
SYMBOL_CRC(ib_drain_sq, 0x02eaba42, "");
SYMBOL_CRC(ib_drain_rq, 0xa153caf1, "");
SYMBOL_CRC(ib_drain_qp, 0x9b999a07, "");
SYMBOL_CRC(rdma_alloc_netdev, 0x9516b588, "");
SYMBOL_CRC(rdma_init_netdev, 0x35a6315f, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x680e3cfd, "");
SYMBOL_CRC(__rdma_block_iter_next, 0x61373fd2, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0x4e7fe4fc, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0x19a8678e, "");
SYMBOL_CRC(ib_process_cq_direct, 0xa405f92d, "");
SYMBOL_CRC(__ib_alloc_cq, 0x01967fcc, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0x7d77b1ce, "");
SYMBOL_CRC(ib_free_cq, 0xd8ac1fb3, "");
SYMBOL_CRC(ib_cq_pool_get, 0xe300578e, "");
SYMBOL_CRC(ib_cq_pool_put, 0x9b629579, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0x45ce3022, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0x32348c47, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0xf2a5a6b3, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0xbaeafab7, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0x02b5bf69, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0x58bf2d59, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0xb5866d79, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0x1fcde6fa, "");
SYMBOL_CRC(ib_port_register_client_groups, 0xaf2a0b4d, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0xf08cda02, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0x945d1ee6, "");
SYMBOL_CRC(ibdev_printk, 0x3360d805, "");
SYMBOL_CRC(ibdev_emerg, 0x1b0c96b7, "");
SYMBOL_CRC(ibdev_alert, 0x5db70574, "");
SYMBOL_CRC(ibdev_crit, 0x373c3aef, "");
SYMBOL_CRC(ibdev_err, 0x16dcf9a1, "");
SYMBOL_CRC(ibdev_warn, 0xc13dbc2a, "");
SYMBOL_CRC(ibdev_notice, 0xff48c056, "");
SYMBOL_CRC(ibdev_info, 0x85b564f9, "");
SYMBOL_CRC(ib_device_put, 0x68812d2e, "");
SYMBOL_CRC(ib_device_get_by_name, 0x8158d533, "");
SYMBOL_CRC(_ib_alloc_device, 0xe60c9264, "");
SYMBOL_CRC(ib_dealloc_device, 0x5d1b11ab, "");
SYMBOL_CRC(ib_port_immutable_read, 0x3803f150, "");
SYMBOL_CRC(ib_get_device_fw_str, 0xc4eb930c, "");
SYMBOL_CRC(ib_register_device, 0xddb52704, "");
SYMBOL_CRC(ib_unregister_device, 0x80c028aa, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0xa6a749d6, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0xb972efbc, "");
SYMBOL_CRC(ib_register_client, 0x86562605, "");
SYMBOL_CRC(ib_unregister_client, 0x6acff80b, "");
SYMBOL_CRC(ib_set_client_data, 0x9637cb36, "");
SYMBOL_CRC(ib_register_event_handler, 0x467e77f8, "");
SYMBOL_CRC(ib_unregister_event_handler, 0x1167caa6, "");
SYMBOL_CRC(ib_query_port, 0xec3593b5, "");
SYMBOL_CRC(ib_device_set_netdev, 0x2c993e82, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0x24d993cc, "");
SYMBOL_CRC(ib_query_pkey, 0x0aab5856, "");
SYMBOL_CRC(ib_modify_device, 0x9878665e, "");
SYMBOL_CRC(ib_modify_port, 0x2ab15bbb, "");
SYMBOL_CRC(ib_find_gid, 0xc03db987, "");
SYMBOL_CRC(ib_find_pkey, 0x9fddf709, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0xe46134b6, "");
SYMBOL_CRC(ib_set_device_ops, 0xddd999d2, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0x0f25496a, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0x0cf381a3, "");
SYMBOL_CRC(rdma_query_gid, 0x282454ce, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0x05ba8859, "");
SYMBOL_CRC(rdma_find_gid, 0xaaf7a7ab, "");
SYMBOL_CRC(ib_get_cached_pkey, 0x060ac9cc, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0xd0ecca2f, "");
SYMBOL_CRC(ib_find_cached_pkey, 0xe5aee77d, "");
SYMBOL_CRC(ib_find_exact_cached_pkey, 0xd8a0007d, "");
SYMBOL_CRC(ib_get_cached_lmc, 0x9c2cebbb, "");
SYMBOL_CRC(ib_get_cached_port_state, 0x73085bb9, "");
SYMBOL_CRC(rdma_get_gid_attr, 0x9c84f721, "");
SYMBOL_CRC(rdma_query_gid_table, 0xd1663bb9, "");
SYMBOL_CRC(rdma_put_gid_attr, 0x03ebb98c, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0x8de4ab50, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0xa5ecb0a6, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0xe7e11328, "");
SYMBOL_CRC(ib_dispatch_event, 0x230b7884, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0x372bfc5d, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0x3514dc18, "");
SYMBOL_CRC(ibnl_put_attr, 0xc16c78df, "");
SYMBOL_CRC(rdma_nl_unicast, 0x1a21eff3, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0x6eddeda5, "");
SYMBOL_CRC(rdma_nl_multicast, 0x03ea3800, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0xda36e40b, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0x356232c2, "");
SYMBOL_CRC(ib_mr_pool_get, 0xf6107ed9, "");
SYMBOL_CRC(ib_mr_pool_put, 0x1d88215a, "");
SYMBOL_CRC(ib_mr_pool_init, 0x00f1624a, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0x57b32ae1, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0x2c0d9243, "");
SYMBOL_CRC(rdma_translate_ip, 0x5633d444, "");
SYMBOL_CRC(rdma_resolve_ip, 0x54d4810c, "");
SYMBOL_CRC(rdma_addr_cancel, 0x7a3f1857, "");
SYMBOL_CRC(ib_sa_register_client, 0x62e77b40, "");
SYMBOL_CRC(ib_sa_unregister_client, 0xb16ab545, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0xb6e8f0ca, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0x5f252ec7, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0x8443d9e7, "");
SYMBOL_CRC(ib_sa_join_multicast, 0xdd16ad8c, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0x5784d78f, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0xe5e98e71, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0xc3e1e24d, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0x0e21eab2, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0xc9fecd15, "");
SYMBOL_CRC(ib_create_send_mad, 0xa3cae2e2, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0xd2f89c04, "");
SYMBOL_CRC(ib_free_send_mad, 0xae66829f, "");
SYMBOL_CRC(ib_post_send_mad, 0x24e7379e, "");
SYMBOL_CRC(ib_free_recv_mad, 0xa206d3e1, "");
SYMBOL_CRC(ib_modify_mad, 0x4c4e69ac, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0x7d53203d, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0x7fff4aa6, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0x623ce024, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0x467418b5, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0xa9a9b767, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0x625fca70, "");
SYMBOL_CRC(rdma_link_register, 0x8d21d6e9, "");
SYMBOL_CRC(rdma_link_unregister, 0x20f453e6, "");
SYMBOL_CRC(rdma_restrack_count, 0xa6f83dac, "");
SYMBOL_CRC(rdma_restrack_set_name, 0x006f8df9, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0xaca3325d, "");
SYMBOL_CRC(rdma_restrack_new, 0xb6916e9e, "");
SYMBOL_CRC(rdma_restrack_add, 0xd4e21a1f, "");
SYMBOL_CRC(rdma_restrack_get, 0xbe5cee7d, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0x2e9c1aa0, "");
SYMBOL_CRC(rdma_restrack_put, 0x781dd3d8, "");
SYMBOL_CRC(rdma_restrack_del, 0x513b88f0, "");
SYMBOL_CRC(rdma_umap_priv_init, 0x7712d701, "");
SYMBOL_CRC(rdma_user_mmap_io, 0x37188c15, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0xc4807870, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0x3447bba3, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0xe163b29b, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0x8e4fda6d, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0xb2e782eb, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0x4f92b740, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0x21f5a296, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0x5c9dc4c8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xbc8a94ca, "__netlink_dump_start" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x7b4b4927, "rdmacg_try_charge" },
	{ 0xfec6446b, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x459ecdf5, "bpf_trace_run4" },
	{ 0xb917d1be, "ida_destroy" },
	{ 0x558912ed, "__nlmsg_put" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0xd0a014d6, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1612ed4b, "dev_set_name" },
	{ 0xd60f7cab, "ip6_dst_hoplimit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x3de180ed, "trace_raw_output_prep" },
	{ 0xd9d82d87, "xa_get_mark" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x9b70a1d4, "nla_put_64bit" },
	{ 0xd9f724b5, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x5f548ddc, "__trace_trigger_soft_disabled" },
	{ 0x6a02edc8, "dma_unmap_page_attrs" },
	{ 0xf5c59ccc, "trace_event_printf" },
	{ 0xa190a0f1, "__ip_dev_find" },
	{ 0x1a554706, "sysfs_remove_groups" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc4508ed9, "__xa_erase" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x279efcbc, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x64d8168c, "xas_find" },
	{ 0x664f5290, "kobject_init" },
	{ 0x492c5687, "device_initialize" },
	{ 0x3737a383, "__dynamic_ibdev_dbg" },
	{ 0x7b9000d3, "sysfs_create_groups" },
	{ 0xab450870, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x12697068, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8683ae58, "_raw_read_unlock_bh" },
	{ 0xc63e5d4d, "in6_dev_finish_destroy" },
	{ 0x8dde51c9, "_raw_read_lock_bh" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0x734a92ce, "__netlink_kernel_create" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xe3548f27, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe321bc, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x89b4969b, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x2cd6174c, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xdc002b7c, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d0aca7d, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x449d8bc, "_raw_write_lock_irq" },
	{ 0xdef3fc96, "dev_driver_string" },
	{ 0x3b4a55e2, "trace_event_buffer_commit" },
	{ 0xe5c027d8, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x24a91977, "dma_map_page_attrs" },
	{ 0x9a637191, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x75883b94, "rdma_dim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x845a3abe, "put_device" },
	{ 0x4e9dffb5, "ip_fast_csum" },
	{ 0x278fffc4, "netlink_broadcast" },
	{ 0x440ebeb7, "net_ns_type_operations" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x401e74ca, "__alloc_skb" },
	{ 0xc755e44e, "netlink_capable" },
	{ 0x3883421c, "_raw_read_lock_irqsave" },
	{ 0xc6cbbc89, "capable" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x7274df2f, "__task_pid_nr_ns" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x1e1a0bcf, "__xa_alloc" },
	{ 0x81688245, "vlan_dev_real_dev" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd4f3a827, "perf_trace_run_bpf_submit" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3cfc3506, "_dev_err" },
	{ 0x93a3d75a, "init_net" },
	{ 0x83c501dd, "kobject_add" },
	{ 0x606d8142, "up_write" },
	{ 0xbd758b0d, "ipv6_stub" },
	{ 0xa3270778, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x51782b62, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x194d8347, "netlink_unicast" },
	{ 0xa1655192, "xa_load" },
	{ 0xc52137ab, "fs_reclaim_release" },
	{ 0x1297335b, "dev_get_by_index" },
	{ 0xe430ed0c, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xb1b32444, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x83049c67, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5a921311, "strncmp" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0xd342850f, "nla_put" },
	{ 0xa4ba5d49, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x6636c9c3, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd327bd4d, "netlink_kernel_release" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x60dc9c2e, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8b93ce00, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xa6964d30, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe163a684, "fs_reclaim_acquire" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x411ab37d, "xa_clear_mark" },
	{ 0xe8c86f81, "bpf_trace_run1" },
	{ 0x61120c17, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0x1d058528, "_raw_write_unlock_irq" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x46c8f4bd, "netdev_get_xmit_slave" },
	{ 0xfb578fc5, "memset" },
	{ 0x5beaa842, "_dev_warn" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x2fd10a8b, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xece784c2, "rb_first" },
	{ 0xb84777db, "__neigh_event_send" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x53121f31, "dev_printk_emit" },
	{ 0x5b0f490e, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x74a76053, "down_read" },
	{ 0x9b62d51a, "skb_trim" },
	{ 0xf8ca6800, "netdev_has_upper_dev_all_rcu" },
	{ 0x6d74982b, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0xde779b7b, "__xa_insert" },
	{ 0xa0aa0e96, "xa_erase" },
	{ 0x33cd3406, "netdev_walk_all_upper_dev_rcu" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x9f2a3c5c, "bpf_trace_run3" },
	{ 0x64ae23db, "__put_net" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9c1bc31e, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x15f8e73d, "neigh_destroy" },
	{ 0x55922502, "kobject_del" },
	{ 0x1c5c7a00, "trace_event_buffer_reserve" },
	{ 0xe5fd6363, "dma_map_sgtable" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xa8790ea0, "param_ops_bool" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x19b95610, "xa_destroy" },
	{ 0x64e0a9ce, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe97f30d0, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x673f72da, "xa_store" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xe6174db4, "dev_get_by_name" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xe73053fc, "netlink_ns_capable" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xf4a16a53, "dst_release" },
	{ 0xd904cdb0, "kobject_uevent" },
	{ 0xbe8d6d07, "rdmacg_uncharge" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xaaedc21a, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa51164e1, "vlan_dev_vlan_id" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa16858e4, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0xf930b65, "xa_find_after" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0x321dd7c3, "ipv6_chk_addr" },
	{ 0xf478dd6e, "xa_set_mark" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x1124aebc, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xec0dbfc8, "netlink_has_listeners" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x25056119, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xaf582920, "get_net_ns_by_fd" },
	{ 0x6dea71f8, "class_register" },
	{ 0xb64cdd73, "net_rwsem" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4b685411, "kobject_put" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4CB81391EB526EC4B2D7D47");
