#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(video_device_alloc, "", "");
KSYMTAB_FUNC(video_device_release, "", "");
KSYMTAB_FUNC(video_device_release_empty, "", "");
KSYMTAB_FUNC(video_devdata, "", "");
KSYMTAB_FUNC(v4l2_prio_init, "", "");
KSYMTAB_FUNC(v4l2_prio_change, "", "");
KSYMTAB_FUNC(v4l2_prio_open, "", "");
KSYMTAB_FUNC(v4l2_prio_close, "", "");
KSYMTAB_FUNC(v4l2_prio_max, "", "");
KSYMTAB_FUNC(v4l2_prio_check, "", "");
KSYMTAB_FUNC(__video_register_device, "", "");
KSYMTAB_FUNC(video_unregister_device, "", "");
KSYMTAB_FUNC(video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline, "_gpl", "");
KSYMTAB_FUNC(v4l2_norm_to_name, "", "");
KSYMTAB_FUNC(v4l2_video_std_frame_period, "", "");
KSYMTAB_FUNC(v4l2_video_std_construct, "", "");
KSYMTAB_DATA(v4l2_field_names, "", "");
KSYMTAB_DATA(v4l2_type_names, "", "");
KSYMTAB_FUNC(v4l_printk_ioctl, "", "");
KSYMTAB_FUNC(video_ioctl2, "", "");
KSYMTAB_FUNC(v4l2_device_register, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_register_subdev, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev_nodes, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_open, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_del, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_exit, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_is_singular, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_dequeue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue_fh, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_pending, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_wake_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subdev_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subdev_subscribe, "_gpl", "");
KSYMTAB_DATA(v4l2_subdev_call_wrappers, "", "");
KSYMTAB_FUNC(v4l2_subdev_get_fwnode_pad_1_to_1, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate_default, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_has_pad_interdep, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_alloc, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_free, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_init_finalize, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_cleanup, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_next_active_route, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing_with_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_crop, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_compose, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_find_opposite_end, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_opposite_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_xlate_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_enable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_disable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_s_stream_helper, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_init, "", "");
KSYMTAB_FUNC(v4l2_subdev_notify_event, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_put_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_query_fill, "", "");
KSYMTAB_FUNC(v4l_bound_align_image, "_gpl", "");
KSYMTAB_FUNC(__v4l2_find_nearest_size, "_gpl", "");
KSYMTAB_FUNC(v4l2_g_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_s_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_format_info, "", "");
KSYMTAB_FUNC(v4l2_apply_frmsize_constraints, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt_mp, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_get_link_freq, "_gpl", "");
KSYMTAB_FUNC(v4l2_simplify_fraction, "_gpl", "");
KSYMTAB_FUNC(v4l2_fraction_to_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_equal, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_init, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_log, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_validate, "", "");
KSYMTAB_FUNC(v4l2_ctrl_notify, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_init_class, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_free, "", "");
KSYMTAB_FUNC(v4l2_ctrl_find, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_custom, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu_items, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_compound, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_add_handler, "", "");
KSYMTAB_FUNC(v4l2_ctrl_radio_filter, "", "");
KSYMTAB_FUNC(v4l2_ctrl_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_auto_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_activate, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_grab, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_handler_setup, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_fwnode_properties, "", "");
KSYMTAB_FUNC(v4l2_g_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_try_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_s_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_s_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_string, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_compound, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_range, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_dimensions, "", "");
KSYMTAB_FUNC(v4l2_query_ext_ctrl, "", "");
KSYMTAB_FUNC(v4l2_queryctrl, "", "");
KSYMTAB_FUNC(v4l2_querymenu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_replace, "", "");
KSYMTAB_FUNC(v4l2_ctrl_merge, "", "");
KSYMTAB_DATA(v4l2_ctrl_sub_ev_ops, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_poll, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_ctrl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_complete, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_name, "", "");
KSYMTAB_FUNC(v4l2_ctrl_fill, "", "");
KSYMTAB_FUNC(v4l2_compat_ioctl32, "_gpl", "");
KSYMTAB_FUNC(v4l2_mc_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(v4l_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_disable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_vb2q_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links_to_pad, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_get, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_link_notify, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev_board, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_addr, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_tuner_addrs, "_gpl", "");

SYMBOL_CRC(video_device_alloc, 0xd8ed0f50, "");
SYMBOL_CRC(video_device_release, 0x3d0b2261, "");
SYMBOL_CRC(video_device_release_empty, 0x4d898bc3, "");
SYMBOL_CRC(video_devdata, 0x882913f4, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0xa6eb96d4, "");
SYMBOL_CRC(video_unregister_device, 0xa050a91a, "");
SYMBOL_CRC(video_device_pipeline_start, 0x00b62d38, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0x8450cea7, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0xade8774d, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0x04fefd9e, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0x3adac9d8, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0xe0206b48, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0x291818a1, "");
SYMBOL_CRC(v4l2_device_register, 0x729ea6a9, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0x72381614, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0xd86010b9, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0x1aa2c2d6, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0xdbae9f37, "_gpl");
SYMBOL_CRC(v4l2_device_register_subdev, 0xf703232c, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0x6a4f4d56, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0xb19e0aea, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0x7d62ef37, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0xc86c41f6, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0x0913f0b1, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0x2076ab70, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0x34e80c40, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0xf585e510, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0xa4771894, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0xdb688835, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0xcc0e6717, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0xffce95d3, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0xc01562fd, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0x867ca3d5, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0xba78a767, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0x505dbb78, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0xc6d413c7, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0x298c6b66, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0x76fd55bc, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0xe4b942f8, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0x5af49654, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0x6abe7579, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0x181f26d8, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0x5e375cb2, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0xd16782bf, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0xdf21dd74, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0xfbc5c705, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0x4ac85abf, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0x5268c5f9, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0x928fc8a5, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0xa9cea0d5, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0xae3dd8d6, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0xe643da6c, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_format, 0x8a321218, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_crop, 0x48d6e42c, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_compose, 0x1f8a1926, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0xcf754c8f, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0xca7d24fd, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0x47c53891, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0x34a294b8, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0xd0d48d4e, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0x8887d710, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0xe1a1ddc6, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0x60586355, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0x6482bd9d, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0x74177810, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0x231b3aa2, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xe2822320, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0x08341964, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0xb832c8a4, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x35ff98bf, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0x9f29101e, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0x515f04e4, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0xda8dd14d, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0x1307d556, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0x56d37004, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0x45c7ba1c, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0x9db7f23b, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0x23922da1, "");
SYMBOL_CRC(v4l2_ctrl_find, 0xb77db77e, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0x13cc3359, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0xf8be5a14, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0x9a22435a, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0x58b7f962, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0x66aeee56, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0x112822d3, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0x0167da92, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0xdb03b974, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0x5340c1e6, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0x724575d4, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0xe991526e, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0xb9f6f712, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0x5e386ccf, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0xba7314d7, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0xe21898a2, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0xa40df234, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0x33411819, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0x37cb31b1, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0xdd41463c, "");
SYMBOL_CRC(v4l2_g_ctrl, 0x05cd73a0, "");
SYMBOL_CRC(v4l2_s_ctrl, 0x78bd2b58, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0x9be13374, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0xeeff1e9c, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0x494ae8b4, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0x082000db, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0xf7632abe, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0xad9a8977, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0xe1482724, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0x2bdd9454, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0x0476a91b, "");
SYMBOL_CRC(v4l2_queryctrl, 0xcccfe7e3, "");
SYMBOL_CRC(v4l2_querymenu, 0xcb432dac, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0xc90b1a97, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0x1835a75a, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0xeaee2344, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0xa873898b, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0x7c5bdae0, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0x98743516, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0xa425d99a, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0xdd26258f, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0xe0a30dde, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0x0784e9c9, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_compat_ioctl32, 0x4f60d757, "_gpl");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0xaa2c5aa2, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0x59d4cebb, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0x80a6b3e5, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0x3e549eba, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0xbe1a3781, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0x38ccea70, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0x4c5a98f6, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0xf628e62d, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0x8b2d8707, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0x9f1566b6, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0x9990e335, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0x096d3d63, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0xf4934fa0, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0xc5eef69f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0x02bc11a0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0x46861bf7, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0xea1da598, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0x2add33de, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0xed5a0ee8, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0xeacce511, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0xb0e7cabc, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0x66e6e4d0, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0x083ee30c, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0x98804ec0, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0x48c24ce1, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0xf99814a4, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41c91cdd, "media_devnode_remove" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7027d60e, "try_module_get" },
	{ 0xc661ade3, "media_request_object_find" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa40c3f68, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x30a3924e, "led_sysfs_enable" },
	{ 0x1612ed4b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x525dd54e, "fwnode_graph_get_remote_endpoint" },
	{ 0x3de180ed, "trace_raw_output_prep" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0xe0f3c7eb, "device_unregister" },
	{ 0x5f548ddc, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0xf5c59ccc, "trace_event_printf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8f45ed2d, "media_request_object_unbind" },
	{ 0x65f8d956, "led_put" },
	{ 0x3730a21e, "led_trigger_remove" },
	{ 0xd7be78ab, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xab450870, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x12df4266, "media_request_object_complete" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0x40e8fe55, "fwnode_graph_get_port_parent" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xe3548f27, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x89b4969b, "get_device" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x2cd6174c, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x570d4a7b, "media_create_intf_link" },
	{ 0xea20ba5e, "media_create_pad_link" },
	{ 0x3b4a55e2, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x377caa02, "device_match_fwnode" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x20daffd2, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x845a3abe, "put_device" },
	{ 0x118636f6, "i2c_new_scanned_device" },
	{ 0x1767826c, "media_pad_pipeline" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x185a6a21, "media_request_object_put" },
	{ 0x7dd33334, "module_put" },
	{ 0xf3dc5d51, "media_pipeline_alloc_start" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3105c7a1, "media_device_register_entity" },
	{ 0x5ccdeeda, "media_request_get_by_fd" },
	{ 0x92955347, "cdev_add" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x63c78b5b, "led_get" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd4f3a827, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3cfc3506, "_dev_err" },
	{ 0x33dd0c7f, "i2c_unregister_device" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x17ccb393, "media_request_put" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xa4ba5d49, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x98730c4a, "media_request_object_bind" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x60dc9c2e, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xc3b56bb9, "media_graph_walk_next" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x4cec0f71, "i2c_new_client_device" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x12e48e17, "device_register" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x24e49dd, "media_pipeline_start" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x581bd5aa, "media_pipeline_stop" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x5beaa842, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9f6c097c, "media_get_pad_index" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x1c5c7a00, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x28b362cd, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xb70789e, "__might_fault" },
	{ 0xd2cd33a0, "led_set_brightness" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x61c0d3e1, "media_graph_walk_start" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xfeeed362, "media_devnode_create" },
	{ 0x39ac8490, "dev_err_probe" },
	{ 0xa8674882, "media_entity_get_fwnode_pad" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0x3b3c4a00, "fwnode_handle_put" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x1d88c13a, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x92d9a51, "__media_pipeline_start" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x6dea71f8, "class_register" },
	{ 0xbc759c57, "led_sysfs_disable" },
	{ 0xa3d6d339, "media_entity_find_link" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe9443ae7, "__dev_fwnode" },
	{ 0xceed23a0, "pci_bus_type" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x3a5767ed, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x637e7532, "cdev_alloc" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "mc,i2c-core");


MODULE_INFO(srcversion, "3594F353D9CFFAE88F6F59C");
