#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2750fb5c, "bcm_phy_write_exp" },
	{ 0x7f036f27, "bcm_phy_write_misc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2289cf62, "bcm_phy_read_exp" },
	{ 0xbd1dac95, "bcm_phy_read_misc" },
	{ 0x4768a566, "bcm_phy_get_stats" },
	{ 0xae89c659, "devm_kmalloc" },
	{ 0xe954db8a, "bcm_phy_get_sset_count" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x6cf5b89b, "devm_clk_get_optional_enabled" },
	{ 0x5852fbed, "mdiobus_read" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xeeef34ed, "phy_drivers_unregister" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x24e6e022, "bcm_phy_enable_jumbo" },
	{ 0x8771ab2e, "bcm_phy_28nm_a0b0_afe_config_init" },
	{ 0x2f7e91a4, "bcm_phy_r_rc_cal_reset" },
	{ 0xa408ef91, "bcm_phy_enable_apd" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x26ad2693, "bcm_phy_read_shadow" },
	{ 0xbed733b8, "bcm_phy_write_shadow" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x324184e7, "bcm_phy_get_strings" },
	{ 0x7bb7c221, "genphy_read_status" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x9f032697, "phy_drivers_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcf3f0961, "mdiobus_write" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x53095310, "__mdiobus_read" },
	{ 0xa71bb820, "__mdiobus_write" },
	{ 0xbd120afd, "bcm_phy_downshift_set" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x94a41b0d, "bcm_phy_set_eee" },
	{ 0x7d892f57, "genphy_restart_aneg" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7c0e6e93, "bcm_phy_downshift_get" },
	{ 0x3a675eac, "__genphy_config_aneg" },
	{ 0x317331c1, "genphy_soft_reset" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "bcm-phy-lib");

MODULE_ALIAS("mdio:0011010110010000010100110001????");
MODULE_ALIAS("mdio:0011010110010000010100110101????");
MODULE_ALIAS("mdio:0011010110010000010100110100????");
MODULE_ALIAS("mdio:1010111000000010010100101000????");
MODULE_ALIAS("mdio:1010111000000010010100010010????");
MODULE_ALIAS("mdio:1010111000000010010100011001????");
MODULE_ALIAS("mdio:1010111000000010010100001001????");
MODULE_ALIAS("mdio:1010111000000010010100111011????");
MODULE_ALIAS("mdio:1010111000000010010100011010????");
MODULE_ALIAS("mdio:1010111000000010010100100110????");
MODULE_ALIAS("mdio:0110000000001101100001001001????");
MODULE_ALIAS("mdio:0110000000001101100001100101????");
MODULE_ALIAS("mdio:0110000000001101100001001011????");
MODULE_ALIAS("mdio:0110000000001101100001101011????");
MODULE_ALIAS("mdio:0110000000001101100001110011????");
MODULE_ALIAS("mdio:1010111000000010010100101110????");
MODULE_ALIAS("mdio:0110000000001101100001001000????");
MODULE_ALIAS("mdio:0110000000001101100001110101????");
MODULE_ALIAS("mdio:0110000000001101100001010001????");
MODULE_ALIAS("mdio:0011010110010000010100110011????");

MODULE_INFO(srcversion, "38444A2C9546839A97CE810");
