#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x6cce42d5, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x77208412, "_gpl");
SYMBOL_CRC(tap_get_minor, 0xe0120000, "_gpl");
SYMBOL_CRC(tap_free_minor, 0xbd0d92b4, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x25cb354f, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0xeb5c1699, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0xe2e61f81, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0xd4d6fe3b, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0xf66a3c98, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x1a11345, "__skb_get_hash" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x56470118, "__warn_printk" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xfb578fc5, "memset" },
	{ 0x318fbd20, "_copy_to_iter" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x5997d17d, "iov_iter_advance" },
	{ 0xe1935fca, "skb_copy_datagram_iter" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xe159c43d, "cdev_init" },
	{ 0x92955347, "cdev_add" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x3a5767ed, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xb70789e, "__might_fault" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc8313898, "dev_set_mac_address_user" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xedfc6f1f, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x2dbb5db, "consume_skb" },
	{ 0x53df7429, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0x2ad5ff2d, "prepare_to_wait" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x37a0cba, "kfree" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x3bb563ac, "idr_destroy" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x83049c67, "skb_push" },
	{ 0x8dc75ed9, "__skb_gso_segment" },
	{ 0x4066eb10, "skb_checksum_help" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x294339c8, "kfree_skb_list_reason" },
	{ 0x6856531e, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0x4d9fc0d0, "netdev_err" },
	{ 0x7344405a, "idr_find" },
	{ 0x6aa32924, "sk_alloc" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x63a26efa, "sock_init_data_uid" },
	{ 0xbc1210f8, "skb_partial_csum_set" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xf6ed9c3d, "__skb_flow_dissect" },
	{ 0xdad269a4, "__pskb_pull_tail" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x93257af7, "build_skb" },
	{ 0xd0a014d6, "skb_put" },
	{ 0x666fa10c, "__dev_queue_xmit" },
	{ 0x5bd3cb06, "skb_copy_bits" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x38ac2108, "iov_iter_npages" },
	{ 0x918fea08, "sock_alloc_send_pskb" },
	{ 0x4fc8d20f, "zerocopy_sg_from_iter" },
	{ 0xfd30f986, "_copy_from_iter" },
	{ 0xdf6f602e, "skb_copy_datagram_from_iter" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe9ef6f67, "iov_iter_revert" },
	{ 0x670edc88, "compat_ptr_ioctl" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe430ed0c, "kfree_skb_reason" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5B8F853864CAC40F21BA3A8");
