#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qlt_unreg_sess, "", "");
KSYMTAB_FUNC(qlt_stop_phase1, "", "");
KSYMTAB_FUNC(qlt_stop_phase2, "", "");
KSYMTAB_FUNC(qlt_free_mcmd, "", "");
KSYMTAB_FUNC(qlt_xmit_tm_rsp, "", "");
KSYMTAB_FUNC(qlt_xmit_response, "", "");
KSYMTAB_FUNC(qlt_rdy_to_xfer, "", "");
KSYMTAB_FUNC(qlt_abort_cmd, "", "");
KSYMTAB_FUNC(qlt_free_cmd, "", "");
KSYMTAB_FUNC(qlt_lport_register, "", "");
KSYMTAB_FUNC(qlt_lport_deregister, "", "");
KSYMTAB_FUNC(qlt_enable_vha, "", "");

SYMBOL_CRC(qlt_unreg_sess, 0x56860c5f, "");
SYMBOL_CRC(qlt_stop_phase1, 0x29551442, "");
SYMBOL_CRC(qlt_stop_phase2, 0xfb8fb389, "");
SYMBOL_CRC(qlt_free_mcmd, 0xb092c4f3, "");
SYMBOL_CRC(qlt_xmit_tm_rsp, 0x24b30a80, "");
SYMBOL_CRC(qlt_xmit_response, 0x73313489, "");
SYMBOL_CRC(qlt_rdy_to_xfer, 0xd085c6a8, "");
SYMBOL_CRC(qlt_abort_cmd, 0x6f9b3975, "");
SYMBOL_CRC(qlt_free_cmd, 0xb7089c87, "");
SYMBOL_CRC(qlt_lport_register, 0xbb595e43, "");
SYMBOL_CRC(qlt_lport_deregister, 0xa8444a78, "");
SYMBOL_CRC(qlt_enable_vha, 0x8913574b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x124853da, "param_ops_ullong" },
	{ 0xe914e41e, "strcpy" },
	{ 0x15d0069d, "pci_save_state" },
	{ 0xa86a4478, "btree_last" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x1b6832f5, "pcie_capability_read_word" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x98c5b6a3, "fc_attach_transport" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa3767e6e, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa3a04602, "btree_geo64" },
	{ 0x9bb3a510, "debugfs_attr_write" },
	{ 0xdc0be880, "param_ops_uint" },
	{ 0x6d95b13e, "dma_pool_create" },
	{ 0x3c44566f, "pci_request_selected_regions" },
	{ 0xd0a9e9e4, "pci_release_selected_regions" },
	{ 0x8a9cf5a7, "nvme_fc_set_remoteport_devloss" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0x3aef7d31, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x4e269ee5, "pci_enable_device_mem" },
	{ 0x87099f6c, "bsg_job_done" },
	{ 0xe026cf9f, "btree_insert" },
	{ 0x70077ecb, "pci_alloc_irq_vectors" },
	{ 0x832b93a1, "fc_remote_port_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x3de180ed, "trace_raw_output_prep" },
	{ 0x9f31025e, "scsi_remove_host" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x5f548ddc, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0xe4109e84, "scsi_build_sense" },
	{ 0x6a02edc8, "dma_unmap_page_attrs" },
	{ 0x2aabcdc8, "vmalloc_array" },
	{ 0x7daac64e, "request_firmware" },
	{ 0xf5c59ccc, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xd44e585d, "fc_remove_host" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x701c6678, "__pci_register_driver" },
	{ 0x77dcd15e, "set_user_nice" },
	{ 0xf0e0bb17, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x29fccd69, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe2c3760d, "pci_request_regions" },
	{ 0xab450870, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf4e500ba, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0x863d9939, "seq_lseek" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x7f84a768, "pci_clear_mwi" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe3548f27, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xb6b1ab27, "fc_eh_timed_out" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x400a4327, "btree_remove" },
	{ 0xe0dc93ec, "pci_irq_vector" },
	{ 0x148653, "vsnprintf" },
	{ 0xa68f5569, "pci_try_set_mwi" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe5afb86b, "kmem_cache_create" },
	{ 0x89b4969b, "get_device" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbb0e18a6, "nvme_fc_rcv_ls_req" },
	{ 0xd8a00066, "mempool_free" },
	{ 0xc839ba17, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x838cffbf, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xdef3fc96, "dev_driver_string" },
	{ 0x3b4a55e2, "trace_event_buffer_commit" },
	{ 0xed55a689, "trace_array_put" },
	{ 0x5d9e334f, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x24a91977, "dma_map_page_attrs" },
	{ 0x26431912, "irq_set_affinity_notifier" },
	{ 0xec60b580, "blk_mq_pci_map_queues" },
	{ 0x44e00893, "fc_block_scsi_eh" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xf331236f, "btree_geo32" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xb707b887, "mempool_create" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf2b6d17c, "fc_remote_port_delete" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x74a5b566, "scsi_host_get" },
	{ 0xf10f8b50, "mempool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4f963ed6, "timer_shutdown" },
	{ 0xacef68e3, "fc_host_post_event" },
	{ 0x98fffdd4, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc43a8ac1, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x77cde877, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x2f3b5aec, "fc_release_transport" },
	{ 0x40a088e9, "pci_set_mwi" },
	{ 0x7b2da6c8, "btree_lookup" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x2b789fbb, "pci_find_capability" },
	{ 0x61651be, "strcat" },
	{ 0xca4b3bc8, "debugfs_attr_read" },
	{ 0xc07ede46, "btree_init" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xe57c4fb8, "kobject_uevent_env" },
	{ 0xc939e0be, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd4f3a827, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3cfc3506, "_dev_err" },
	{ 0xf47db709, "blk_queue_update_dma_alignment" },
	{ 0x4cf84f42, "fc_vport_create" },
	{ 0xb77d783f, "scsi_host_put" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x8e08bf0a, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa67cfc0, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x737ffa2, "noop_llseek" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa0f0a3eb, "fc_remote_port_rolechg" },
	{ 0x20b89bee, "kmem_cache_free" },
	{ 0x37fc58c8, "dma_alloc_attrs" },
	{ 0x4137d039, "scsi_scan_host" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfca9dc99, "nvme_fc_unregister_remoteport" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0xecc1d0a3, "debugfs_remove" },
	{ 0x31623349, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x7346a21, "seq_putc" },
	{ 0xa4ba5d49, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x84a7941c, "fc_vport_terminate" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xe41f2809, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x46628784, "fc_block_rport" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x254954b, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xf017d5ac, "trace_array_get_by_name" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6eecfaf4, "sg_copy_buffer" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x759d23e3, "pci_restore_state" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x977ad6fe, "pci_alloc_irq_vectors_affinity" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2e55282c, "scsi_is_host_device" },
	{ 0x1682c1b6, "pci_set_master" },
	{ 0xab2be0b, "param_ops_charp" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x3b3532e3, "dma_get_required_mask" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x613e4c90, "blk_mq_unique_tag" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x4973352a, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfe132c3b, "kthread_create_on_node" },
	{ 0xd718db62, "dma_set_coherent_mask" },
	{ 0x38e2b980, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xaffccd17, "trace_array_set_clr_event" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0xbfe9618, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xa0993ae, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x78319db8, "fc_host_fpin_rcv" },
	{ 0x1c5c7a00, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x620f3d01, "btree_destroy" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x94485479, "scmd_printk" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xc131c985, "btree_update" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3be5af77, "pci_write_config_byte" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x1e47ba3d, "__register_chrdev" },
	{ 0xc8dcdfd7, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x50cf946f, "fc_eh_should_retry_cmd" },
	{ 0xa36a94a5, "pcie_capability_read_dword" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x27be5f19, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x3f75b01b, "_raw_read_lock" },
	{ 0x3884f8b8, "nvme_fc_unregister_localport" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x1e3f9428, "scsi_is_fc_rport" },
	{ 0x6b00bec1, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x32a15412, "seq_puts" },
	{ 0xf6414c01, "scsi_done" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xe31e9c74, "btree_get_prev" },
	{ 0xf12b9d8e, "single_release" },
	{ 0x84c61932, "scsi_unblock_requests" },
	{ 0x5e64d2f1, "pcie_set_readrq" },
	{ 0x1fd54703, "__might_resched" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xd8e0abe2, "dma_set_mask" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x40eee79f, "pci_disable_rom" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa16858e4, "dma_unmap_sg_attrs" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0xc0d506a5, "pci_irq_get_affinity" },
	{ 0xe018286d, "scsi_block_requests" },
	{ 0xb6e0bd94, "scsi_add_host_with_dma" },
	{ 0xf4195816, "_raw_write_lock_irqsave" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc6ed27c8, "pci_read_config_byte" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0x1124aebc, "param_ops_int" },
	{ 0xd12e564, "nvme_fc_register_remoteport" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfdbd1d93, "single_open" },
	{ 0x2350e289, "scsi_host_alloc" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xc7066a50, "debugfs_create_dir" },
	{ 0xf74b45fa, "pci_write_config_word" },
	{ 0x2117040a, "sysfs_remove_bin_file" },
	{ 0xe370f9cd, "pci_free_irq_vectors" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x933dd120, "nvme_fc_register_localport" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cdbc95a, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xacf4fcc4, "pcix_set_mmrbc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x8625d49a, "kmem_cache_destroy" },
	{ 0x84397678, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5efde415, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,nvme-fc");

MODULE_ALIAS("pci:v00001077d00002100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d0000F001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002071sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002271sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002261sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002061sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002281sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002089sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002289sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A2E21F641310E5714DB91D8");
