#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x8acbd784, "");
SYMBOL_CRC(sas_remove_host, 0x51427895, "");
SYMBOL_CRC(sas_get_address, 0xd1752e7d, "");
SYMBOL_CRC(sas_tlr_supported, 0x50c8cb33, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xc248ab7a, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x1b6aa39a, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xc9aa40ee, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x6ea008bc, "");
SYMBOL_CRC(sas_phy_add, 0x20f2bf63, "");
SYMBOL_CRC(sas_phy_free, 0x0d362dd6, "");
SYMBOL_CRC(sas_phy_delete, 0x0f92e313, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x26e6e0ae, "");
SYMBOL_CRC(sas_port_alloc, 0x933629b5, "");
SYMBOL_CRC(sas_port_alloc_num, 0x1454418d, "");
SYMBOL_CRC(sas_port_add, 0x4f82c8d1, "");
SYMBOL_CRC(sas_port_free, 0x7af66fdc, "");
SYMBOL_CRC(sas_port_delete, 0x616f2773, "");
SYMBOL_CRC(scsi_is_sas_port, 0xb79a9e53, "");
SYMBOL_CRC(sas_port_get_phy, 0xc1f3af77, "");
SYMBOL_CRC(sas_port_add_phy, 0x680883ca, "");
SYMBOL_CRC(sas_port_delete_phy, 0xe2f41fd4, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x3f5f96b7, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x3c137529, "");
SYMBOL_CRC(sas_end_device_alloc, 0x1e216bc6, "");
SYMBOL_CRC(sas_expander_alloc, 0xc1025c5f, "");
SYMBOL_CRC(sas_rphy_add, 0x1ce405ff, "");
SYMBOL_CRC(sas_rphy_free, 0x894a4973, "");
SYMBOL_CRC(sas_rphy_delete, 0xb2a00aa7, "");
SYMBOL_CRC(sas_rphy_unlink, 0x8d81be89, "");
SYMBOL_CRC(sas_rphy_remove, 0xa7ba1678, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x79c458f1, "");
SYMBOL_CRC(sas_attach_transport, 0x2d068fbf, "");
SYMBOL_CRC(sas_release_transport, 0xde4a0760, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a921311, "strncmp" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xac949b34, "transport_class_register" },
	{ 0xea41eca5, "transport_class_unregister" },
	{ 0x2e8b1556, "transport_remove_device" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0x43682870, "attribute_container_register" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7d6a34db, "sysfs_remove_link" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x83e23510, "_dev_printk" },
	{ 0xb99eeeb1, "scsi_mode_sense" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x9f31025e, "scsi_remove_host" },
	{ 0x3c3d5222, "attribute_container_unregister" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xc42eb327, "bsg_remove_queue" },
	{ 0xc3219f86, "scsi_remove_target" },
	{ 0x2e55282c, "scsi_is_host_device" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5beaa842, "_dev_warn" },
	{ 0x87099f6c, "bsg_job_done" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x255ed7ff, "dma_opt_mapping_size" },
	{ 0xb5b67e24, "scsi_get_vpd_page" },
	{ 0x492c5687, "device_initialize" },
	{ 0x1612ed4b, "dev_set_name" },
	{ 0x4733b28d, "transport_setup_device" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xc3b69480, "device_for_each_child" },
	{ 0x845a3abe, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x51782b62, "device_add" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc8bee32e, "transport_add_device" },
	{ 0xa7651fc5, "transport_configure_device" },
	{ 0x61120c17, "device_del" },
	{ 0x4090d3d8, "transport_destroy_device" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x89b4969b, "get_device" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf47ee26, "sysfs_create_link" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xf8164107, "scsi_scan_target" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x3e0c9d98, "bsg_setup_queue" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x754d539c, "strlen" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "223C2971947F8D4DDF94D8F");
