#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x8977403f, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x2c404f12, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0xe11d8c2a, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x8c70c7b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x63828c6b, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0xbf98de01, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0xa2346bcc, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x106637ac, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xf915b066, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x5e7a0627, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0xca75ded8, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0x0fececd8, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x2a2442f9, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0xe0cf9c7a, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x40b61e92, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x843c72be, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x892b2c1a, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x9086c1c2, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0x8c337809, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15d0069d, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x84c930d2, "request_resource" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf580a978, "pci_read_vpd" },
	{ 0x8f23d153, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3c44566f, "pci_request_selected_regions" },
	{ 0xd0a9e9e4, "pci_release_selected_regions" },
	{ 0xeb6f673c, "pci_user_write_config_byte" },
	{ 0x3aef7d31, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xb3bee34, "pci_bus_max_busnr" },
	{ 0x53fc0ffc, "pci_check_and_mask_intx" },
	{ 0xfd556e17, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x70077ecb, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0xfa95929d, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xd087251, "pci_dev_put" },
	{ 0xaf077b8d, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x7086dbe5, "vfio_virqfd_disable" },
	{ 0x25d2120f, "vfio_iommufd_get_dev_id" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd21a29e4, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xdc23b270, "fget" },
	{ 0x8dba8f67, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8ec0240, "pci_user_read_config_dword" },
	{ 0x12697068, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xaa98283a, "dump_mm" },
	{ 0x4cc38eda, "pci_user_read_config_word" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xf115666b, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x17741f95, "pci_probe_reset_slot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x873bc966, "zap_vma_ptes" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x64b6c18c, "pci_set_power_state" },
	{ 0xe039f224, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe0dc93ec, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x50a55102, "__tracepoint_mmap_lock_released" },
	{ 0x2cd6174c, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x2c41b000, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5d9e334f, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x848d372e, "iowrite8" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xac08d5bd, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x47aae756, "pci_user_write_config_word" },
	{ 0x4b17059, "vfio_iommufd_device_ictx" },
	{ 0xa7357d70, "bus_register_notifier" },
	{ 0xc43a8ac1, "_dev_info" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xdd836b12, "vfio_file_is_group" },
	{ 0xfb5efc09, "pci_msix_can_alloc_dyn" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xbe63cb24, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xc939e0be, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x9fe9ebb6, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x11c120ac, "fput" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x606d8142, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa1655192, "xa_load" },
	{ 0xc52137ab, "fs_reclaim_release" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x876e208d, "pci_write_vpd" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xe74abafc, "vfio_virqfd_enable" },
	{ 0xdc721194, "vga_client_register" },
	{ 0x31623349, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x2a6b5685, "aperture_remove_conflicting_pci_devices" },
	{ 0x6437cd3e, "vfio_unregister_group_dev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x67831bf7, "pci_map_rom" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x428e01a5, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xe163a684, "fs_reclaim_acquire" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x4dbd5a52, "pci_iounmap" },
	{ 0x759d23e3, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x5beaa842, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x6bb16a8d, "pcie_get_mps" },
	{ 0xf1346dcc, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x90cc0ac4, "down_write_trylock" },
	{ 0x74a76053, "down_read" },
	{ 0x51db6ef7, "mutex_trylock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0x207822f2, "pci_dev_driver" },
	{ 0xde779b7b, "__xa_insert" },
	{ 0xa0aa0e96, "xa_erase" },
	{ 0x7ff1ecf4, "__mmap_lock_do_trace_start_locking" },
	{ 0x508e8336, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x9c1bc31e, "_dev_notice" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x47a938f6, "pm_runtime_forbid" },
	{ 0xb2969146, "pm_runtime_allow" },
	{ 0x50d91fd, "pci_reset_bus" },
	{ 0xf71634e4, "mmput" },
	{ 0x3a5fa4c4, "__pm_runtime_resume" },
	{ 0xc4e93b48, "vfio_register_group_dev" },
	{ 0x37518540, "vfio_assign_device_set" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x392c07e0, "pci_user_read_config_byte" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe247d402, "pci_try_reset_function" },
	{ 0x64e0a9ce, "xa_find" },
	{ 0x8d3689b5, "__tracepoint_mmap_lock_start_locking" },
	{ 0x687d8a2c, "pci_get_class" },
	{ 0x7af8f2e8, "pci_user_write_config_dword" },
	{ 0xa36a94a5, "pcie_capability_read_dword" },
	{ 0xa46f0ce7, "__mmap_lock_do_trace_released" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x8daae705, "pci_load_and_free_saved_state" },
	{ 0x762418d0, "pci_disable_sriov" },
	{ 0xb0c99d5a, "vfio_device_set_open_count" },
	{ 0x6b00bec1, "pci_disable_device" },
	{ 0x46429db5, "pci_match_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0xc25dddf4, "pci_check_and_unmask_intx" },
	{ 0x5e64d2f1, "pcie_set_readrq" },
	{ 0x81404c67, "pci_walk_bus" },
	{ 0x24b2ab9b, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf930b65, "xa_find_after" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x6a08ba44, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xc6ed27c8, "pci_read_config_byte" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x1366fe77, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xeed05208, "vga_set_legacy_decoding" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0xca37145d, "pci_dev_unlock" },
	{ 0xf74b45fa, "pci_write_config_word" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xe370f9cd, "pci_free_irq_vectors" },
	{ 0xf0d71717, "pci_enable_sriov" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xdfb2a483, "__pm_runtime_idle" },
	{ 0x3bdf4c9e, "vfio_virqfd_flush_thread" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xceed23a0, "pci_bus_type" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "61E787FE588A46BA82DB98A");
