#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0x691ec417, "_gpl");
SYMBOL_CRC(dccp_req_err, 0x983c683a, "");
SYMBOL_CRC(dccp_v4_send_check, 0x8308aef1, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0x0f4ae506, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0x71d1f8cc, "");
SYMBOL_CRC(dccp_v4_conn_request, 0xd62cd8c1, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0x4ae4e638, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0x3e8c17cf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1c8f4144, "__inet_lookup_established" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xbdd2e61a, "inet_bhash2_reset_saddr" },
	{ 0x72ed62ac, "inet_csk_addr2sockaddr" },
	{ 0x9f234f5f, "inet_unregister_protosw" },
	{ 0x88079eb0, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfcd138c, "dccp_shutdown" },
	{ 0x7a27aca5, "inet_bhash2_update_saddr" },
	{ 0xdffe534, "dccp_connect" },
	{ 0x1898754c, "dccp_rcv_state_process" },
	{ 0x6410c22, "dccp_reqsk_send_ack" },
	{ 0xff8215b6, "inet_lookup_reuseport" },
	{ 0x395aca33, "__inet_lookup_listener" },
	{ 0xfea4c579, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xf5245cb1, "sock_common_getsockopt" },
	{ 0x363d1d21, "inet_bind" },
	{ 0x75f2e6fb, "__inet_inherit_port" },
	{ 0x5d69ba71, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x76257f24, "inet_register_protosw" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x666034a9, "__xfrm_policy_check" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xbe4a5515, "sock_common_setsockopt" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x317c06a1, "rcu_read_lock_bh_held" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe321bc, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x838fbf9f, "inet_csk_reqsk_queue_hash_add" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xda65f412, "sk_error_report" },
	{ 0x1f0f73e3, "register_pernet_subsys" },
	{ 0x733f8e9c, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x4b789b63, "inet_getname" },
	{ 0xa49a91c9, "inet_stream_connect" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x9ced1974, "proto_unregister" },
	{ 0x9603fc74, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xac934833, "inet_ehashfn" },
	{ 0x6c8bef54, "inet_twsk_purge" },
	{ 0x1d2ff153, "dccp_done" },
	{ 0x59511cea, "inet_release" },
	{ 0xeb42e81c, "__sk_dst_check" },
	{ 0xf65ec79, "dccp_disconnect" },
	{ 0x124caf4a, "ip_route_output_key_hash" },
	{ 0x51c5469f, "proto_register" },
	{ 0xac7d8c6c, "inet_hash" },
	{ 0x2f0d207f, "__sk_receive_skb" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xe9bbfe4c, "dccp_poll" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x89ed8222, "inet_ctl_sock_create" },
	{ 0xe6ae33e9, "dccp_death_row" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x4e0d1278, "inet_csk_get_port" },
	{ 0xd094f049, "inet_ioctl" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0x67478046, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0x9d13ec56, "inet_accept" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xf8bb9d24, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xaf8593d2, "ip6_mtu" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0x7fa9a4d5, "inet_add_protocol" },
	{ 0x8c253423, "inet_shutdown" },
	{ 0x6856531e, "sk_free" },
	{ 0x435724b9, "dccp_close" },
	{ 0xe430ed0c, "kfree_skb_reason" },
	{ 0x2eb41294, "dccp_reqsk_init" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x73e6aaee, "inet_hash_connect" },
	{ 0x20b89bee, "kmem_cache_free" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4fe24179, "inet_csk_route_child_sock" },
	{ 0x1199aaf, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x572d95e6, "security_sk_classify_flow" },
	{ 0x58ac506f, "inet_csk_update_pmtu" },
	{ 0xf8acc6e3, "dccp_getsockopt" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x6c342bf0, "dccp_parse_options" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb199dcfa, "unregister_pernet_subsys" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x412e1598, "skb_checksum" },
	{ 0xbe8e12bb, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaa1628bc, "sock_no_mmap" },
	{ 0xdad269a4, "__pskb_pull_tail" },
	{ 0xbfc74f64, "dccp_child_process" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xe094a914, "sock_common_recvmsg" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xa65f407d, "dccp_setsockopt" },
	{ 0x378fa340, "dccp_ioctl" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x17726e74, "inet_sk_rebuild_header" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xf158be89, "inet_del_protocol" },
	{ 0x27c97df9, "ipv4_mtu" },
	{ 0x7dcc7443, "dccp_recvmsg" },
	{ 0x75159b59, "inet_sendmsg" },
	{ 0xc36f1c50, "dccp_check_req" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9b5c512a, "dccp_create_openreq_child" },
	{ 0x61d5d7d7, "inet_csk_prepare_forced_close" },
	{ 0x29119382, "sock_pfree" },
	{ 0x77665616, "dccp_rcv_established" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xd03f9eed, "dccp_send_sync" },
	{ 0xf4a16a53, "dst_release" },
	{ 0x6dbd140a, "sock_release" },
	{ 0x48cf569, "dccp_make_response" },
	{ 0x68464102, "dccp_destroy_sock" },
	{ 0xfc28a6f6, "dccp_ctl_make_reset" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x3a3a75fb, "sock_gettstamp" },
	{ 0x867fdd00, "sk_setup_caps" },
	{ 0x2c02f5da, "ip_build_and_send_pkt" },
	{ 0xd2340d13, "dccp_sendmsg" },
	{ 0x3da55588, "ip_setsockopt" },
	{ 0x1516c2a9, "dccp_hashinfo" },
	{ 0x7c8ad40b, "inet_twsk_put" },
	{ 0x48c1eacb, "inet_unhash" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x436410f5, "ip_getsockopt" },
	{ 0xbf48fb70, "dccp_set_state" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x471017e7, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0xd85da5f1, "inet_csk_reqsk_queue_drop" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "9DA0A26EFC48E12227569C8");
