#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x25d9b67b, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x70fa62d7, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0xdbfd303a, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0xb4c8ae76, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x05438228, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xd84a4834, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x966819ad, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x7bf9df19, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x35b4c84b, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x28c7f70a, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x900d173a, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x3a0e1892, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0xa2895f75, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x59112514, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x0d2be7f9, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x8f4c6aff, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0xf6f5f8b9, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xdcf7b6c8, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x99a91c37, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0xa0713af5, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0xc46df521, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0xbce28cdd, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x9c164df8, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x38aa0878, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x40d63b47, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0xcb5a475d, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x5f804769, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x9c238a27, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xd30a39de, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xcf8c3c2f, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x3863a45c, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xe8dfcf08, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x86f7c6e0, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x73e4f5d0, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x9fbe95ce, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x129949e7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf131c1b, "vsock_enqueue_accept" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x318fbd20, "_copy_to_iter" },
	{ 0xb5eca97d, "vsock_insert_connected" },
	{ 0xd0a014d6, "skb_put" },
	{ 0x2dbb5db, "consume_skb" },
	{ 0x3de180ed, "trace_raw_output_prep" },
	{ 0x5f548ddc, "__trace_trigger_soft_disabled" },
	{ 0x4b27d6db, "vsock_remove_sock" },
	{ 0xf5c59ccc, "trace_event_printf" },
	{ 0x68bd0cfe, "vsock_deliver_tap" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xab450870, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xbfbac914, "bpf_trace_run8" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xda65f412, "sk_error_report" },
	{ 0x3b4a55e2, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x7ee4e08a, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x401e74ca, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd4f3a827, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa3270778, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6856531e, "sk_free" },
	{ 0xe430ed0c, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xa4ba5d49, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe5c72fc, "__skb_recv_datagram" },
	{ 0x4302a7b1, "lock_sock_nested" },
	{ 0x967eafbf, "vsock_stream_has_data" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x9d6cc93, "vsock_find_connected_socket" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x3cf92501, "sock_efree" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2bd3ca77, "bpf_trace_run10" },
	{ 0x20f23a2f, "vsock_core_get_transport" },
	{ 0xe7f765f1, "vsock_stream_has_space" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x1c5c7a00, "trace_event_buffer_reserve" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xfd30f986, "_copy_from_iter" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0xb3dea40f, "vsock_create_connected" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xb8b9d28d, "vsock_assign_transport" },
	{ 0xe9ef6f67, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x72731412, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5f6ffb0b, "vsock_data_ready" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "1E83FB8A08E3BA8A9F42A67");
