#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(snd_major, "", "");
KSYMTAB_DATA(snd_ecards_limit, "", "");
KSYMTAB_FUNC(snd_request_card, "", "");
KSYMTAB_FUNC(snd_lookup_minor_data, "", "");
KSYMTAB_FUNC(snd_register_device, "", "");
KSYMTAB_FUNC(snd_unregister_device, "", "");
KSYMTAB_FUNC(snd_device_alloc, "_gpl", "");
KSYMTAB_FUNC(snd_card_new, "", "");
KSYMTAB_FUNC(snd_devm_card_new, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_on_error, "_gpl", "");
KSYMTAB_FUNC(snd_card_ref, "_gpl", "");
KSYMTAB_FUNC(snd_card_disconnect, "", "");
KSYMTAB_FUNC(snd_card_disconnect_sync, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_when_closed, "", "");
KSYMTAB_FUNC(snd_card_free, "", "");
KSYMTAB_FUNC(snd_card_set_id, "", "");
KSYMTAB_FUNC(snd_card_add_dev_attr, "_gpl", "");
KSYMTAB_FUNC(snd_card_register, "", "");
KSYMTAB_FUNC(snd_component_add, "", "");
KSYMTAB_FUNC(snd_card_file_add, "", "");
KSYMTAB_FUNC(snd_card_file_remove, "", "");
KSYMTAB_FUNC(snd_power_ref_and_wait, "_gpl", "");
KSYMTAB_FUNC(snd_power_wait, "", "");
KSYMTAB_FUNC(copy_to_user_fromio, "", "");
KSYMTAB_FUNC(copy_to_iter_fromio, "", "");
KSYMTAB_FUNC(copy_from_user_toio, "", "");
KSYMTAB_FUNC(copy_from_iter_toio, "", "");
KSYMTAB_FUNC(snd_ctl_notify, "", "");
KSYMTAB_FUNC(snd_ctl_notify_one, "", "");
KSYMTAB_FUNC(snd_ctl_new1, "", "");
KSYMTAB_FUNC(snd_ctl_free_one, "", "");
KSYMTAB_FUNC(snd_ctl_add, "", "");
KSYMTAB_FUNC(snd_ctl_replace, "", "");
KSYMTAB_FUNC(snd_ctl_remove, "", "");
KSYMTAB_FUNC(snd_ctl_remove_id, "", "");
KSYMTAB_FUNC(snd_ctl_activate_id, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_rename_id, "", "");
KSYMTAB_FUNC(snd_ctl_rename, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid, "", "");
KSYMTAB_FUNC(snd_ctl_find_id_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_id, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_get_preferred_subdevice, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_request_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_register_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_disconnect_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_boolean_mono_info, "", "");
KSYMTAB_FUNC(snd_ctl_boolean_stereo_info, "", "");
KSYMTAB_FUNC(snd_ctl_enum_info, "", "");
KSYMTAB_FUNC(release_and_free_resource, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup_id, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup, "", "");
KSYMTAB_FUNC(snd_fasync_helper, "_gpl", "");
KSYMTAB_FUNC(snd_kill_fasync, "_gpl", "");
KSYMTAB_FUNC(snd_fasync_free, "_gpl", "");
KSYMTAB_FUNC(snd_device_new, "", "");
KSYMTAB_FUNC(snd_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(snd_device_free, "", "");
KSYMTAB_FUNC(snd_device_register, "", "");
KSYMTAB_FUNC(snd_device_get_state, "_gpl", "");
KSYMTAB_DATA(snd_seq_root, "", "");
KSYMTAB_FUNC(snd_info_get_line, "", "");
KSYMTAB_FUNC(snd_info_get_str, "", "");
KSYMTAB_FUNC(snd_info_create_module_entry, "", "");
KSYMTAB_FUNC(snd_info_create_card_entry, "", "");
KSYMTAB_FUNC(snd_info_free_entry, "", "");
KSYMTAB_FUNC(snd_info_register, "", "");
KSYMTAB_FUNC(snd_card_rw_proc_new, "_gpl", "");
KSYMTAB_FUNC(snd_dma_program, "", "");
KSYMTAB_FUNC(snd_dma_disable, "", "");
KSYMTAB_FUNC(snd_dma_pointer, "", "");
KSYMTAB_FUNC(snd_devm_request_dma, "_gpl", "");

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0xd7447173, "");
SYMBOL_CRC(snd_unregister_device, 0x0d240b58, "");
SYMBOL_CRC(snd_device_alloc, 0x920ec27c, "_gpl");
SYMBOL_CRC(snd_card_new, 0xa684a36a, "");
SYMBOL_CRC(snd_devm_card_new, 0xfcde2488, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0x08f77849, "_gpl");
SYMBOL_CRC(snd_card_ref, 0xf05d16c8, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0xab53a0e5, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0x6ef6a0ca, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0x0482de0e, "");
SYMBOL_CRC(snd_card_free, 0x9cad50bd, "");
SYMBOL_CRC(snd_card_set_id, 0xe06a731d, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0xbc5096fe, "_gpl");
SYMBOL_CRC(snd_card_register, 0x1c26df1d, "");
SYMBOL_CRC(snd_component_add, 0xf318e200, "");
SYMBOL_CRC(snd_card_file_add, 0x6cf7eb07, "");
SYMBOL_CRC(snd_card_file_remove, 0x0d642221, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0xa66d4943, "_gpl");
SYMBOL_CRC(snd_power_wait, 0x672c1d34, "");
SYMBOL_CRC(copy_to_user_fromio, 0x342a2354, "");
SYMBOL_CRC(copy_to_iter_fromio, 0x409dfec6, "");
SYMBOL_CRC(copy_from_user_toio, 0xfffd89db, "");
SYMBOL_CRC(copy_from_iter_toio, 0x6aef954f, "");
SYMBOL_CRC(snd_ctl_notify, 0xda0b2cd8, "");
SYMBOL_CRC(snd_ctl_notify_one, 0x863d4d45, "");
SYMBOL_CRC(snd_ctl_new1, 0x1ae60735, "");
SYMBOL_CRC(snd_ctl_free_one, 0x248fd11c, "");
SYMBOL_CRC(snd_ctl_add, 0x07be2c5f, "");
SYMBOL_CRC(snd_ctl_replace, 0xe4798197, "");
SYMBOL_CRC(snd_ctl_remove, 0xaec0b63c, "");
SYMBOL_CRC(snd_ctl_remove_id, 0x13ef3caf, "");
SYMBOL_CRC(snd_ctl_activate_id, 0x9c3ab43d, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0xba8b6ea8, "");
SYMBOL_CRC(snd_ctl_rename, 0xe0806db3, "");
SYMBOL_CRC(snd_ctl_find_numid_locked, 0x19fa5a2a, "");
SYMBOL_CRC(snd_ctl_find_numid, 0x4e9b08c5, "");
SYMBOL_CRC(snd_ctl_find_id_locked, 0x7240d94f, "");
SYMBOL_CRC(snd_ctl_find_id, 0x2b0a3314, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0x88095e07, "");
SYMBOL_CRC(snd_ctl_register_ioctl_compat, 0x85612abf, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0x2b15074b, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl_compat, 0xd785a0e5, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0xa09810dd, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0x4e57d544, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0x79d6a2eb, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0xd831385b, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0xd12a2119, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0x95b36ac7, "");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x73076315, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0xc4a766c4, "");
SYMBOL_CRC(snd_fasync_helper, 0xe63b57d5, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0xb2bdcf0d, "");
SYMBOL_CRC(snd_device_disconnect, 0xb6a804c4, "_gpl");
SYMBOL_CRC(snd_device_free, 0xd0c34dda, "");
SYMBOL_CRC(snd_device_register, 0x45febe54, "");
SYMBOL_CRC(snd_device_get_state, 0x65fd8cb1, "_gpl");
SYMBOL_CRC(snd_seq_root, 0x7f327876, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0x358b62a1, "");
SYMBOL_CRC(snd_info_create_card_entry, 0xa744e318, "");
SYMBOL_CRC(snd_info_free_entry, 0xce852729, "");
SYMBOL_CRC(snd_info_register, 0x2e15850d, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0x5850a402, "_gpl");
SYMBOL_CRC(snd_dma_program, 0x18e1683f, "");
SYMBOL_CRC(snd_dma_disable, 0x70c15ac1, "");
SYMBOL_CRC(snd_dma_pointer, 0x191e88cf, "");
SYMBOL_CRC(snd_devm_request_dma, 0xa3f23b42, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7027d60e, "try_module_get" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x318fbd20, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1612ed4b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x53df7429, "finish_wait" },
	{ 0x5cf3c702, "kill_fasync" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xb65c7fd9, "proc_mkdir_mode" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x492c5687, "device_initialize" },
	{ 0x7741cd5a, "param_array_ops" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xb2dcd9c5, "xa_store_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0x863d9939, "seq_lseek" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc40efa6d, "proc_create_data" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x58ae4459, "devm_remove_action" },
	{ 0x1c955f3b, "import_ubuf" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x89b4969b, "get_device" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x2cd6174c, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xac8714bb, "devres_add" },
	{ 0x10045326, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdef3fc96, "dev_driver_string" },
	{ 0xe5c027d8, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x845a3abe, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3883421c, "_raw_read_lock_irqsave" },
	{ 0x7dd33334, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x61651be, "strcat" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3cfc3506, "_dev_err" },
	{ 0x606d8142, "up_write" },
	{ 0x51782b62, "device_add" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x542ff414, "init_uts_ns" },
	{ 0xa1655192, "xa_load" },
	{ 0x737ffa2, "noop_llseek" },
	{ 0xc52137ab, "fs_reclaim_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0xfc025aba, "__devres_alloc_node" },
	{ 0xa8973e3b, "dma_spin_lock" },
	{ 0xec30d835, "fasync_helper" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xe163a684, "fs_reclaim_acquire" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x61120c17, "device_del" },
	{ 0x543fa1ee, "proc_mkdir" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x5beaa842, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xab2be0b, "param_ops_charp" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xa5c23d2a, "proc_remove" },
	{ 0x4973352a, "_raw_write_unlock_irqrestore" },
	{ 0x74a76053, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xde779b7b, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa0aa0e96, "xa_erase" },
	{ 0x38e2b980, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7054a3e4, "request_dma" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x19b95610, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x3760ff5d, "proc_set_size" },
	{ 0x1e47ba3d, "__register_chrdev" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x33d0c9f6, "kobject_set_name" },
	{ 0x56470118, "__warn_printk" },
	{ 0x27be5f19, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xfd30f986, "_copy_from_iter" },
	{ 0xb70789e, "__might_fault" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0xaaedc21a, "downgrade_write" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0xec8a2376, "stream_open" },
	{ 0xf12b9d8e, "single_release" },
	{ 0x6f70d53a, "pid_vnr" },
	{ 0xe769d81a, "devres_find" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0x269cf975, "__devm_add_action" },
	{ 0xf4195816, "_raw_write_lock_irqsave" },
	{ 0x86a7d976, "sound_class" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x1366fe77, "release_resource" },
	{ 0x72b243d4, "free_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x9d0bd776, "proc_symlink" },
	{ 0x1124aebc, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xfdbd1d93, "single_open" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf8fedff0, "put_pid" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5efde415, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "72C7360442A5BD63E4B267A");
