#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(adf_cfg_dev_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_dev_remove, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_add_key_value_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_section_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_get_param_value, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_cfg_services, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_get_service_enabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_clean_vf_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_update_class_index, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_add_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_rm_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_pci_to_accel_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_in_use, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_get, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_put, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_in_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_started, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_down, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_up, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_restart, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_sbr, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_flr, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_err_handler, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cleanup_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_send_admin_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sysfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_cfg_iov_thds, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_accel_cap, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_cfg_dev_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_accel_mask, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_misc_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_etr_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sram_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sku, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_heartbeat_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_device, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_msix_default_rttable, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_pfvf_comms_disabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_ring_pair_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_thd2arb_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_ring_to_svc_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_handle_pm_interrupt, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_pm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_ras_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_start, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_stop, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_measure_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_tl_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_check_ctrs, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_save_cfg_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_rm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_exit, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_sriov, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sriov_configure, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_pf2vf_interrupts, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_flush_vf_wq, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_pf2vf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_shutdown, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_vf2pf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_vf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");

SYMBOL_CRC(adf_cfg_dev_add, 0xc0524263, "_gpl");
SYMBOL_CRC(adf_cfg_dev_remove, 0x24be3fc0, "_gpl");
SYMBOL_CRC(adf_cfg_add_key_value_param, 0x2b48b4fb, "_gpl");
SYMBOL_CRC(adf_cfg_section_add, 0xccfed318, "_gpl");
SYMBOL_CRC(adf_cfg_get_param_value, 0x844942eb, "_gpl");
SYMBOL_CRC(adf_isr_resource_free, 0xf1236c92, "_gpl");
SYMBOL_CRC(adf_isr_resource_alloc, 0x315ce284, "_gpl");
SYMBOL_CRC(adf_cfg_services, 0xc9dd5b96, "_gpl");
SYMBOL_CRC(adf_get_service_enabled, 0xa043d99e, "_gpl");
SYMBOL_CRC(adf_clean_vf_map, 0xcc3b167a, "_gpl");
SYMBOL_CRC(adf_devmgr_update_class_index, 0x38c84917, "_gpl");
SYMBOL_CRC(adf_devmgr_add_dev, 0x988370c3, "_gpl");
SYMBOL_CRC(adf_devmgr_rm_dev, 0xa7031e47, "_gpl");
SYMBOL_CRC(adf_devmgr_pci_to_accel_dev, 0xfb0715e0, "_gpl");
SYMBOL_CRC(adf_dev_in_use, 0x1b2cc193, "_gpl");
SYMBOL_CRC(adf_dev_get, 0x24750161, "_gpl");
SYMBOL_CRC(adf_dev_put, 0xa9a1e43a, "_gpl");
SYMBOL_CRC(adf_devmgr_in_reset, 0xc8330621, "_gpl");
SYMBOL_CRC(adf_dev_started, 0xfa8ee4e1, "_gpl");
SYMBOL_CRC(adf_dev_down, 0x5a3b881d, "_gpl");
SYMBOL_CRC(adf_dev_up, 0x734967d4, "_gpl");
SYMBOL_CRC(adf_dev_restart, 0x487fbf0f, "_gpl");
SYMBOL_CRC(adf_reset_sbr, 0x5e5552ab, "_gpl");
SYMBOL_CRC(adf_reset_flr, 0x3ec57837, "_gpl");
SYMBOL_CRC(adf_err_handler, 0x29ee34b4, "_gpl");
SYMBOL_CRC(adf_init_etr_data, 0x2e258c04, "_gpl");
SYMBOL_CRC(adf_cleanup_etr_data, 0xca5feb0c, "_gpl");
SYMBOL_CRC(adf_send_admin_init, 0xf811a4a3, "_gpl");
SYMBOL_CRC(adf_init_admin_comms, 0x71ccc776, "_gpl");
SYMBOL_CRC(adf_exit_admin_comms, 0x0d0aebed, "_gpl");
SYMBOL_CRC(adf_init_arb, 0x254dfc4c, "_gpl");
SYMBOL_CRC(adf_exit_arb, 0xb165f0ac, "_gpl");
SYMBOL_CRC(adf_sysfs_init, 0x94516a37, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_accels, 0x82eb10dd, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_aes, 0x81cd633c, "_gpl");
SYMBOL_CRC(adf_gen2_enable_error_correction, 0x50358818, "_gpl");
SYMBOL_CRC(adf_gen2_cfg_iov_thds, 0x2bfd6855, "_gpl");
SYMBOL_CRC(adf_gen2_get_admin_info, 0x3e707f37, "_gpl");
SYMBOL_CRC(adf_gen2_get_arb_info, 0x2be4e269, "_gpl");
SYMBOL_CRC(adf_gen2_enable_ints, 0x58d8c6d7, "_gpl");
SYMBOL_CRC(adf_gen2_init_hw_csr_ops, 0xd64519f1, "_gpl");
SYMBOL_CRC(adf_gen2_get_accel_cap, 0xac45f46b, "_gpl");
SYMBOL_CRC(adf_gen2_set_ssm_wdtimer, 0x41234564, "_gpl");
SYMBOL_CRC(adf_gen2_dev_config, 0xcd652032, "_gpl");
SYMBOL_CRC(adf_gen4_dev_config, 0x140151cc, "_gpl");
SYMBOL_CRC(adf_gen4_cfg_dev_init, 0x7f84bbb1, "_gpl");
SYMBOL_CRC(adf_gen4_init_hw_csr_ops, 0xc501ac82, "_gpl");
SYMBOL_CRC(adf_gen4_get_accel_mask, 0x3ae91fc6, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_accels, 0x62e63223, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_aes, 0x46c47906, "_gpl");
SYMBOL_CRC(adf_gen4_get_misc_bar_id, 0x2f56e45b, "_gpl");
SYMBOL_CRC(adf_gen4_get_etr_bar_id, 0x103aab3b, "_gpl");
SYMBOL_CRC(adf_gen4_get_sram_bar_id, 0xa08a8c29, "_gpl");
SYMBOL_CRC(adf_gen4_get_sku, 0x0b67b713, "_gpl");
SYMBOL_CRC(adf_gen4_get_arb_info, 0x4c051dc4, "_gpl");
SYMBOL_CRC(adf_gen4_get_admin_info, 0x2230d349, "_gpl");
SYMBOL_CRC(adf_gen4_get_heartbeat_clock, 0x00d08c14, "_gpl");
SYMBOL_CRC(adf_gen4_enable_error_correction, 0xe6c66e98, "_gpl");
SYMBOL_CRC(adf_gen4_enable_ints, 0x851a0822, "_gpl");
SYMBOL_CRC(adf_gen4_init_device, 0x5837a886, "_gpl");
SYMBOL_CRC(adf_gen4_set_ssm_wdtimer, 0x6a04031e, "_gpl");
SYMBOL_CRC(adf_gen4_set_msix_default_rttable, 0x0760fa77, "_gpl");
SYMBOL_CRC(adf_pfvf_comms_disabled, 0x9a472323, "_gpl");
SYMBOL_CRC(adf_gen4_ring_pair_reset, 0x661453e3, "_gpl");
SYMBOL_CRC(adf_gen4_init_thd2arb_map, 0x9d34666d, "_gpl");
SYMBOL_CRC(adf_gen4_get_ring_to_svc_map, 0xa2794d12, "_gpl");
SYMBOL_CRC(adf_gen4_handle_pm_interrupt, 0x51ef3393, "_gpl");
SYMBOL_CRC(adf_gen4_enable_pm, 0x30899a4d, "_gpl");
SYMBOL_CRC(adf_gen2_init_dc_ops, 0xe45f3512, "_gpl");
SYMBOL_CRC(adf_gen4_init_dc_ops, 0xe327f1f1, "_gpl");
SYMBOL_CRC(adf_gen4_init_ras_ops, 0x397dabcb, "_gpl");
SYMBOL_CRC(adf_gen4_timer_start, 0x22e07faa, "_gpl");
SYMBOL_CRC(adf_gen4_timer_stop, 0xdcfd0533, "_gpl");
SYMBOL_CRC(adf_dev_measure_clock, 0xd27e9b63, "_gpl");
SYMBOL_CRC(adf_gen4_init_tl_data, 0x9508b85b, "_gpl");
SYMBOL_CRC(adf_heartbeat_check_ctrs, 0x5dc5b793, "_gpl");
SYMBOL_CRC(adf_heartbeat_save_cfg_param, 0x2080a220, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_add, 0xd7fbf683, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_rm, 0x75f9afdc, "_gpl");
SYMBOL_CRC(adf_dbgfs_init, 0x695359c8, "_gpl");
SYMBOL_CRC(adf_dbgfs_exit, 0xb30c2164, "_gpl");
SYMBOL_CRC(adf_disable_sriov, 0xe114f6ea, "_gpl");
SYMBOL_CRC(adf_sriov_configure, 0x1555233b, "_gpl");
SYMBOL_CRC(adf_disable_pf2vf_interrupts, 0x58ac9099, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_free, 0x30a1509a, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_alloc, 0xf88f727c, "_gpl");
SYMBOL_CRC(adf_flush_vf_wq, 0x79dc20e1, "_gpl");
SYMBOL_CRC(adf_enable_pf2vf_comms, 0xb56141a3, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_init, 0xcc1f33b3, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_shutdown, 0xd660d394, "_gpl");
SYMBOL_CRC(adf_enable_vf2pf_comms, 0xe67111fb, "_gpl");
SYMBOL_CRC(adf_gen2_init_pf_pfvf_ops, 0x4aef875d, "_gpl");
SYMBOL_CRC(adf_gen2_init_vf_pfvf_ops, 0x8e249c10, "_gpl");
SYMBOL_CRC(adf_gen4_init_pf_pfvf_ops, 0x61c8c127, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x401392bb, "crypto_skcipher_encrypt" },
	{ 0x15d0069d, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xff0b90ac, "completion_done" },
	{ 0x7027d60e, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd50ebfce, "crypto_alloc_base" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0xae89c659, "devm_kmalloc" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x70077ecb, "pci_alloc_irq_vectors" },
	{ 0xfefde25e, "crypto_unregister_kpp" },
	{ 0xa5bb9d25, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x6a02edc8, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x7daac64e, "request_firmware" },
	{ 0xae63bd, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8dba8f67, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x1e376009, "crypto_register_aeads" },
	{ 0xd6869942, "pci_sriov_get_totalvfs" },
	{ 0x6beb8da6, "seq_hex_dump" },
	{ 0x1a0195da, "device_remove_groups" },
	{ 0x863d9939, "seq_lseek" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x39491048, "devm_device_add_group" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe0dc93ec, "pci_irq_vector" },
	{ 0xd34c7533, "crypto_skcipher_setkey" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x2cd6174c, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd96d5bd8, "crypto_cipher_setkey" },
	{ 0xdef3fc96, "dev_driver_string" },
	{ 0x1e9c9af0, "crypto_unregister_aeads" },
	{ 0x14be142, "crypto_destroy_tfm" },
	{ 0x5d9e334f, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x24a91977, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x83ac53, "crypto_skcipher_decrypt" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x32a0704d, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc43a8ac1, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x7dd33334, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x670edc88, "compat_ptr_ioctl" },
	{ 0x92955347, "cdev_add" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xc939e0be, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xb1fa80ee, "crypto_unregister_acomps" },
	{ 0xd21cccf3, "down_write" },
	{ 0x11a650a9, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3cfc3506, "_dev_err" },
	{ 0x606d8142, "up_write" },
	{  0x47a39, "simple_open" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x59c1100e, "crypto_unregister_akcipher" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xe81594d7, "device_create" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xc09ec37d, "class_create" },
	{ 0x55e992ab, "pci_wait_for_pending_transaction" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0x37fc58c8, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xecc1d0a3, "debugfs_remove" },
	{ 0x43bcf576, "pcie_flr" },
	{ 0x31623349, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x7346a21, "seq_putc" },
	{ 0x35c9a2a5, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xbb688287, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x7a93404b, "crypto_register_skciphers" },
	{ 0x11089ac7, "_ctype" },
	{ 0x759d23e3, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x5beaa842, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x1682c1b6, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf3b37118, "crypto_register_acomps" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x74a76053, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x38e2b980, "seq_read" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9c1bc31e, "_dev_notice" },
	{ 0xa9a573f0, "crypto_cipher_encrypt_one" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xbfe9618, "debugfs_create_file" },
	{ 0xa0993ae, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xa89926dc, "crypto_dh_decode_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x27e1601f, "crypto_register_kpp" },
	{ 0x5d305b42, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x27be5f19, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x762418d0, "pci_disable_sriov" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x32a15412, "seq_puts" },
	{ 0xf12b9d8e, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0xa932d91d, "device_add_groups" },
	{ 0x35db04e8, "seq_open" },
	{ 0x2458eae7, "crypto_unregister_skciphers" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xff8ed220, "crypto_register_akcipher" },
	{ 0xfdbd1d93, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x81dc29a, "crypto_alloc_shash" },
	{ 0xc7066a50, "debugfs_create_dir" },
	{ 0xf74b45fa, "pci_write_config_word" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0xe370f9cd, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf0d71717, "pci_enable_sriov" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe159c43d, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x3a5767ed, "cdev_del" },
	{ 0xd244106e, "crypto_alloc_skcipher" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "crc8,authenc,dh_generic");


MODULE_INFO(srcversion, "174ECFEFBC66FD59C649D15");
