#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i2c_freq_mode_string, "_gpl", "");
KSYMTAB_FUNC(i2c_match_id, "_gpl", "");
KSYMTAB_FUNC(i2c_get_match_data, "", "");
KSYMTAB_FUNC(i2c_generic_scl_recovery, "_gpl", "");
KSYMTAB_FUNC(i2c_recover_bus, "_gpl", "");
KSYMTAB_DATA(i2c_bus_type, "_gpl", "");
KSYMTAB_DATA(i2c_client_type, "_gpl", "");
KSYMTAB_FUNC(i2c_verify_client, "", "");
KSYMTAB_FUNC(i2c_new_client_device, "_gpl", "");
KSYMTAB_FUNC(i2c_unregister_device, "_gpl", "");
KSYMTAB_FUNC(i2c_find_device_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_new_dummy_device, "_gpl", "");
KSYMTAB_FUNC(devm_i2c_new_dummy_device, "_gpl", "");
KSYMTAB_FUNC(i2c_new_ancillary_device, "_gpl", "");
KSYMTAB_FUNC(i2c_adapter_depth, "_gpl", "");
KSYMTAB_DATA(i2c_adapter_type, "_gpl", "");
KSYMTAB_FUNC(i2c_verify_adapter, "", "");
KSYMTAB_FUNC(i2c_handle_smbus_host_notify, "_gpl", "");
KSYMTAB_FUNC(i2c_add_adapter, "", "");
KSYMTAB_FUNC(i2c_add_numbered_adapter, "_gpl", "");
KSYMTAB_FUNC(i2c_del_adapter, "", "");
KSYMTAB_FUNC(devm_i2c_add_adapter, "_gpl", "");
KSYMTAB_FUNC(i2c_find_adapter_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_get_adapter_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_parse_fw_timings, "_gpl", "");
KSYMTAB_FUNC(i2c_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(i2c_register_driver, "", "");
KSYMTAB_FUNC(i2c_del_driver, "", "");
KSYMTAB_FUNC(i2c_clients_command, "", "");
KSYMTAB_FUNC(__i2c_transfer, "", "");
KSYMTAB_FUNC(i2c_transfer, "", "");
KSYMTAB_FUNC(i2c_transfer_buffer_flags, "", "");
KSYMTAB_FUNC(i2c_get_device_id, "_gpl", "");
KSYMTAB_FUNC(i2c_client_get_device_id, "_gpl", "");
KSYMTAB_FUNC(i2c_probe_func_quick_read, "_gpl", "");
KSYMTAB_FUNC(i2c_new_scanned_device, "_gpl", "");
KSYMTAB_FUNC(i2c_get_adapter, "", "");
KSYMTAB_FUNC(i2c_put_adapter, "", "");
KSYMTAB_FUNC(i2c_get_dma_safe_msg_buf, "_gpl", "");
KSYMTAB_FUNC(i2c_put_dma_safe_msg_buf, "_gpl", "");
KSYMTAB_FUNC(i2c_smbus_pec, "", "");
KSYMTAB_FUNC(i2c_smbus_read_byte, "", "");
KSYMTAB_FUNC(i2c_smbus_write_byte, "", "");
KSYMTAB_FUNC(i2c_smbus_read_byte_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_byte_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_word_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_word_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_i2c_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_i2c_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_xfer, "", "");
KSYMTAB_FUNC(__i2c_smbus_xfer, "", "");
KSYMTAB_FUNC(i2c_smbus_read_i2c_block_data_or_emulated, "", "");
KSYMTAB_FUNC(i2c_new_smbus_alert_device, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_get_i2c_resource, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_client_count, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_find_bus_speed, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_find_adapter_by_handle, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_new_device_by_fwnode, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_waive_d0_probe, "_gpl", "");

SYMBOL_CRC(i2c_freq_mode_string, 0x550f3e05, "_gpl");
SYMBOL_CRC(i2c_match_id, 0x792baeb3, "_gpl");
SYMBOL_CRC(i2c_get_match_data, 0xb507a8bb, "");
SYMBOL_CRC(i2c_generic_scl_recovery, 0xcdb95ff4, "_gpl");
SYMBOL_CRC(i2c_recover_bus, 0x32e04173, "_gpl");
SYMBOL_CRC(i2c_bus_type, 0x1c7199b9, "_gpl");
SYMBOL_CRC(i2c_client_type, 0x85c12d1b, "_gpl");
SYMBOL_CRC(i2c_verify_client, 0x8c2ce181, "");
SYMBOL_CRC(i2c_new_client_device, 0x4cec0f71, "_gpl");
SYMBOL_CRC(i2c_unregister_device, 0x33dd0c7f, "_gpl");
SYMBOL_CRC(i2c_find_device_by_fwnode, 0xd254c106, "");
SYMBOL_CRC(i2c_new_dummy_device, 0x02ca975b, "_gpl");
SYMBOL_CRC(devm_i2c_new_dummy_device, 0xbb5cc91a, "_gpl");
SYMBOL_CRC(i2c_new_ancillary_device, 0xcef13522, "_gpl");
SYMBOL_CRC(i2c_adapter_depth, 0xc14aa47b, "_gpl");
SYMBOL_CRC(i2c_adapter_type, 0x261daacb, "_gpl");
SYMBOL_CRC(i2c_verify_adapter, 0x2c894a2f, "");
SYMBOL_CRC(i2c_handle_smbus_host_notify, 0xca773720, "_gpl");
SYMBOL_CRC(i2c_add_adapter, 0xd7091bf5, "");
SYMBOL_CRC(i2c_add_numbered_adapter, 0xdc9744ac, "_gpl");
SYMBOL_CRC(i2c_del_adapter, 0x26aa300c, "");
SYMBOL_CRC(devm_i2c_add_adapter, 0x49864710, "_gpl");
SYMBOL_CRC(i2c_find_adapter_by_fwnode, 0x8ad3c430, "");
SYMBOL_CRC(i2c_get_adapter_by_fwnode, 0x84040eb1, "");
SYMBOL_CRC(i2c_parse_fw_timings, 0x2254efd2, "_gpl");
SYMBOL_CRC(i2c_for_each_dev, 0xb9febfd8, "_gpl");
SYMBOL_CRC(i2c_register_driver, 0xc9eaedfb, "");
SYMBOL_CRC(i2c_del_driver, 0xf6cdd2cb, "");
SYMBOL_CRC(i2c_clients_command, 0xb0b8a41f, "");
SYMBOL_CRC(__i2c_transfer, 0x583386d4, "");
SYMBOL_CRC(i2c_transfer, 0x8bf3845b, "");
SYMBOL_CRC(i2c_transfer_buffer_flags, 0x67a43fa4, "");
SYMBOL_CRC(i2c_get_device_id, 0x7da837c8, "_gpl");
SYMBOL_CRC(i2c_client_get_device_id, 0x3f17c3c0, "_gpl");
SYMBOL_CRC(i2c_probe_func_quick_read, 0xd79edf3a, "_gpl");
SYMBOL_CRC(i2c_new_scanned_device, 0x118636f6, "_gpl");
SYMBOL_CRC(i2c_get_adapter, 0xc6fe5263, "");
SYMBOL_CRC(i2c_put_adapter, 0x3e6048a7, "");
SYMBOL_CRC(i2c_get_dma_safe_msg_buf, 0x42041512, "_gpl");
SYMBOL_CRC(i2c_put_dma_safe_msg_buf, 0x4dae16e4, "_gpl");
SYMBOL_CRC(i2c_smbus_pec, 0xfa2e5f32, "");
SYMBOL_CRC(i2c_smbus_read_byte, 0x529bd89f, "");
SYMBOL_CRC(i2c_smbus_write_byte, 0x755933c6, "");
SYMBOL_CRC(i2c_smbus_read_byte_data, 0x9fcaa955, "");
SYMBOL_CRC(i2c_smbus_write_byte_data, 0xdcf66a41, "");
SYMBOL_CRC(i2c_smbus_read_word_data, 0x6227df43, "");
SYMBOL_CRC(i2c_smbus_write_word_data, 0x740e2f52, "");
SYMBOL_CRC(i2c_smbus_read_block_data, 0x595560b2, "");
SYMBOL_CRC(i2c_smbus_write_block_data, 0x78d66f4b, "");
SYMBOL_CRC(i2c_smbus_read_i2c_block_data, 0xb3645a96, "");
SYMBOL_CRC(i2c_smbus_write_i2c_block_data, 0x5c4f1ca3, "");
SYMBOL_CRC(i2c_smbus_xfer, 0x025f2115, "");
SYMBOL_CRC(__i2c_smbus_xfer, 0xfb2de9aa, "");
SYMBOL_CRC(i2c_smbus_read_i2c_block_data_or_emulated, 0xd45bd5e1, "");
SYMBOL_CRC(i2c_new_smbus_alert_device, 0x001f69e1, "_gpl");
SYMBOL_CRC(i2c_acpi_get_i2c_resource, 0x7f8839d6, "_gpl");
SYMBOL_CRC(i2c_acpi_client_count, 0x1c512009, "_gpl");
SYMBOL_CRC(i2c_acpi_find_bus_speed, 0x03bbc7cf, "_gpl");
SYMBOL_CRC(i2c_acpi_find_adapter_by_handle, 0xa8840e15, "_gpl");
SYMBOL_CRC(i2c_acpi_new_device_by_fwnode, 0x4ee123ff, "_gpl");
SYMBOL_CRC(i2c_acpi_waive_d0_probe, 0x664d1080, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xf7901771, "gpiod_get_value_cansleep" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7027d60e, "try_module_get" },
	{ 0xccde0fbb, "is_acpi_device_node" },
	{ 0x17372bb2, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4bb4da08, "gpiod_get_direction" },
	{ 0x4575b46, "device_property_match_string" },
	{ 0x497c628f, "devres_release_group" },
	{ 0x7344405a, "idr_find" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x1612ed4b, "dev_set_name" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x3de180ed, "trace_raw_output_prep" },
	{ 0x1b4d0ad2, "bpf_trace_run6" },
	{ 0xc63294db, "acpi_driver_match_device" },
	{ 0xe0f3c7eb, "device_unregister" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x5f548ddc, "__trace_trigger_soft_disabled" },
	{ 0x2b178fc8, "irq_domain_remove" },
	{ 0x6488e7e3, "gpiod_set_value_cansleep" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xf5c59ccc, "trace_event_printf" },
	{ 0xf7370f56, "system_state" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x3a9b484d, "acpi_set_modalias" },
	{ 0x1137063d, "dummy_irq_chip" },
	{ 0xab450870, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0x3dcdba45, "dev_pm_domain_attach" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3b69480, "device_for_each_child" },
	{ 0x9bdf3430, "bus_for_each_drv" },
	{ 0x343bdf1, "__i2c_board_list" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x787aa750, "synchronize_srcu" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x89b4969b, "get_device" },
	{ 0xbfbac914, "bpf_trace_run8" },
	{ 0x81e2bdf4, "generic_handle_irq_safe" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x2cd6174c, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xdef3fc96, "dev_driver_string" },
	{ 0x3b4a55e2, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x377caa02, "device_match_fwnode" },
	{ 0xf7e833b, "acpi_dev_get_resources" },
	{ 0x122c3a7e, "_printk" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6b17f0cb, "irq_set_chip_and_handler_name" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x845a3abe, "put_device" },
	{ 0x7072d3d8, "acpi_dev_ready_for_enumeration" },
	{ 0x30d958ea, "pm_runtime_enable" },
	{ 0xf9a123ed, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x32fc0727, "handle_simple_irq" },
	{ 0x60ed6540, "bus_for_each_dev" },
	{ 0xc43a8ac1, "_dev_info" },
	{ 0xa9355305, "dev_pm_domain_detach" },
	{ 0x7dd33334, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xd5d925b5, "device_wakeup_disable" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd4f3a827, "perf_trace_run_bpf_submit" },
	{ 0x67dc2dcc, "bus_unregister" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3cfc3506, "_dev_err" },
	{ 0xf9638000, "device_wakeup_enable" },
	{ 0x606d8142, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x57738a7e, "bus_find_device" },
	{ 0xe35183be, "acpi_dev_resource_interrupt" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6ef478f2, "dev_pm_set_wake_irq" },
	{ 0xb15c937a, "irq_get_irq_data" },
	{ 0x2310a5ad, "rt_mutex_unlock" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xea6de99a, "rt_mutex_trylock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xa4ba5d49, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xadd883cf, "driver_unregister" },
	{ 0xe07e5f44, "acpi_reconfig_notifier_unregister" },
	{ 0x617843a3, "devres_open_group" },
	{ 0x50e7193a, "__i2c_first_dynamic_bus_num" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x12e48e17, "device_register" },
	{ 0x9855b41, "__irq_resolve_mapping" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x564f7608, "acpi_reconfig_notifier_register" },
	{ 0x25dab296, "tracepoint_srcu" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x5beaa842, "_dev_warn" },
	{ 0xd7ef7dbd, "device_get_match_data" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x84933a14, "acpi_dev_clear_dependencies" },
	{ 0x29080846, "acpi_bus_get_status" },
	{ 0xe077970c, "__irq_domain_add" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x958dd64b, "device_remove_software_node" },
	{ 0x9bc83341, "acpi_match_device_ids" },
	{ 0x793b9422, "pm_runtime_no_callbacks" },
	{ 0x74a76053, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb3552d92, "pinctrl_lookup_state" },
	{ 0x9f2a3c5c, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x1c5c7a00, "trace_event_buffer_reserve" },
	{ 0x3a5fa4c4, "__pm_runtime_resume" },
	{ 0x7d1fb104, "rt_mutex_lock_nested" },
	{ 0x18c7c750, "dev_pm_clear_wake_irq" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xefa3cb2c, "acpi_fetch_acpi_dev" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x8ffb87b4, "devm_gpiod_get" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xae2ab29, "irq_create_mapping_affinity" },
	{ 0x38ee60c6, "__rt_mutex_init" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc7732529, "__i2c_board_lock" },
	{ 0xe1e8e2e2, "acpi_dev_gpio_irq_wake_get_by" },
	{ 0x36f99430, "pinctrl_select_state" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x779ac014, "device_add_software_node" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0x269cf975, "__devm_add_action" },
	{ 0x7d194f84, "acpi_device_modalias" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x92de34b, "bpf_trace_run7" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x84523b46, "__pm_runtime_disable" },
	{ 0xc96002ce, "device_match_acpi_handle" },
	{ 0x321a36d0, "gpiod_direction_output" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0xf68ba70b, "driver_register" },
	{ 0xdfb2a483, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe9443ae7, "__dev_fwnode" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0xa76264cb, "bus_register" },
	{ 0xc80746e3, "acpi_device_uevent_modalias" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AB0C4B426D26C46DED19CFA");
