#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x66bb8ac8, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x850c8759, "");
SYMBOL_CRC(rdma_iw_cm_id, 0xecf00d14, "");
SYMBOL_CRC(rdma_res_to_id, 0x7a78c858, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x1753a8f1, "");
SYMBOL_CRC(rdma_create_user_id, 0x319acb81, "");
SYMBOL_CRC(rdma_create_qp, 0x8dff6cdd, "");
SYMBOL_CRC(rdma_destroy_qp, 0x4e0ec430, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x7e0b20be, "");
SYMBOL_CRC(rdma_destroy_id, 0x728a5606, "");
SYMBOL_CRC(rdma_get_service_id, 0xf077233f, "");
SYMBOL_CRC(rdma_read_gids, 0x8c94ccde, "");
SYMBOL_CRC(rdma_set_service_type, 0xd12cdcfb, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x69fec91d, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0xa553f978, "");
SYMBOL_CRC(rdma_set_ib_path, 0x0da8a127, "");
SYMBOL_CRC(rdma_resolve_route, 0x28cae43b, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x0a0a5934, "");
SYMBOL_CRC(rdma_set_afonly, 0x46300883, "");
SYMBOL_CRC(rdma_listen, 0xaca4a11a, "");
SYMBOL_CRC(rdma_resolve_addr, 0xa5b309be, "");
SYMBOL_CRC(rdma_bind_addr, 0x21746cd5, "");
SYMBOL_CRC(rdma_connect_locked, 0x7d5e6a7e, "");
SYMBOL_CRC(rdma_connect, 0x42aff862, "");
SYMBOL_CRC(rdma_connect_ece, 0x89b32d64, "");
SYMBOL_CRC(rdma_accept, 0x51641275, "");
SYMBOL_CRC(rdma_accept_ece, 0x5598bc66, "");
SYMBOL_CRC(rdma_lock_handler, 0x3db6c037, "");
SYMBOL_CRC(rdma_unlock_handler, 0x30de5ccf, "");
SYMBOL_CRC(rdma_notify, 0x20c400ba, "");
SYMBOL_CRC(rdma_reject, 0x823f4abf, "");
SYMBOL_CRC(rdma_disconnect, 0x2db07b87, "");
SYMBOL_CRC(rdma_join_multicast, 0xc7bcfe07, "");
SYMBOL_CRC(rdma_leave_multicast, 0xe0e55907, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x969313fc, "ib_send_cm_sidr_req" },
	{ 0xe914e41e, "strcpy" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8e1e63d3, "iw_create_cm_id" },
	{ 0x23b55fa4, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6acff80b, "ib_unregister_client" },
	{ 0xfec6446b, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x519628f0, "ib_send_cm_sidr_rep" },
	{ 0x459ecdf5, "bpf_trace_run4" },
	{ 0x4b814b32, "config_group_init" },
	{ 0xb6e8f0ca, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xcf381a3, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x3de180ed, "trace_raw_output_prep" },
	{ 0x9fdb7ce9, "ib_cm_insert_listen" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x5f548ddc, "__trace_trigger_soft_disabled" },
	{ 0xf5c59ccc, "trace_event_printf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x62e77b40, "ib_sa_register_client" },
	{ 0xab450870, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x282454ce, "rdma_query_gid" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x184b0aa5, "rt6_lookup" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x5633d444, "rdma_translate_ip" },
	{ 0xe3548f27, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x945d1ee6, "rdma_dev_access_netns" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x50a0d80d, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xd1b0587d, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xea415c4e, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1f0f73e3, "register_pernet_subsys" },
	{ 0x3b4a55e2, "trace_event_buffer_commit" },
	{ 0xc530ed79, "ip_mc_inc_group" },
	{ 0xa5ecb0a6, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xe5aee77d, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xd32e8687, "iw_cm_connect" },
	{ 0xd4e21a1f, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7a3f1857, "rdma_addr_cancel" },
	{ 0xfdb38a9d, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x5784d78f, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x86562605, "ib_register_client" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x5f252ec7, "ib_sa_path_rec_get" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x8a282058, "ib_create_cm_id" },
	{ 0xa379c180, "__ip_mc_dec_group" },
	{ 0x81688245, "vlan_dev_real_dev" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xb16ab545, "ib_sa_unregister_client" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd4f3a827, "perf_trace_run_bpf_submit" },
	{ 0xe5e98e71, "ib_init_ah_from_mcmember" },
	{ 0x2b50a4e3, "rdma_destroy_ah_attr" },
	{ 0x9637cb36, "ib_set_client_data" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x93a3d75a, "init_net" },
	{ 0x60ac9cc, "ib_get_cached_pkey" },
	{ 0x1e9de2fb, "configfs_register_subsystem" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xde5c6ca4, "configfs_remove_default_groups" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa1655192, "xa_load" },
	{ 0xc52137ab, "fs_reclaim_release" },
	{ 0x3ebb98c, "rdma_put_gid_attr" },
	{ 0xdd3fe3bf, "config_group_init_type_name" },
	{ 0x1297335b, "dev_get_by_index" },
	{ 0xdf4ca4c1, "iw_destroy_cm_id" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x59347f8a, "ib_send_cm_rep" },
	{ 0xa4ba5d49, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9b9070b6, "iw_cm_disconnect" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xe163a684, "fs_reclaim_acquire" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xe8c86f81, "bpf_trace_run1" },
	{ 0x701803f7, "ib_destroy_qp_user" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb199dcfa, "unregister_pernet_subsys" },
	{ 0xd9eede63, "ib_cm_init_qp_attr" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x5beaa842, "_dev_warn" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x1e0c3cea, "ib_send_cm_drep" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6f8df9, "rdma_restrack_set_name" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe46134b6, "ib_get_net_dev_by_params" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x73085bb9, "ib_get_cached_port_state" },
	{ 0x79067d96, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x513b88f0, "rdma_restrack_del" },
	{ 0x23627186, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xde779b7b, "__xa_insert" },
	{ 0xa0aa0e96, "xa_erase" },
	{ 0x9f2a3c5c, "bpf_trace_run3" },
	{ 0x64ae23db, "__put_net" },
	{ 0xaca3325d, "rdma_restrack_parent_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xed8ee460, "iw_cm_accept" },
	{ 0x1c5c7a00, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xbb24c1ad, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x8dc985d3, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x50095dc4, "iw_cm_init_qp_attr" },
	{ 0xf4a16a53, "dst_release" },
	{ 0x2ba94b42, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xdb8f7ad3, "ib_send_cm_dreq" },
	{ 0x3e089a22, "ib_send_cm_req" },
	{ 0x82e4b07, "ib_create_qp_kernel" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xdd16ad8c, "ib_sa_join_multicast" },
	{ 0xda36e40b, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9c84f721, "rdma_get_gid_attr" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0xb6916e9e, "rdma_restrack_new" },
	{ 0x147c7a1c, "__fib_lookup" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xce3c15b2, "iw_cm_listen" },
	{ 0xb400fe32, "ib_send_cm_rej" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2c0d9243, "rdma_copy_src_l2_addr" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x54d4810c, "rdma_resolve_ip" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "3071EF2C57F10E5C74CF5BE");
