#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xed27bb4, "dev_addr_mod" },
	{ 0x7fed639d, "usb_register_driver" },
	{ 0x23d55206, "phy_init_hw" },
	{ 0x1368c624, "usbnet_resume" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xe5871349, "usb_deregister" },
	{ 0xa94693f1, "phy_get_pause" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x37cd0faa, "phy_print_status" },
	{ 0x343bba79, "usbnet_defer_kevent" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4cfdfb3c, "usb_autopm_get_interface_no_resume" },
	{ 0x91ddbccd, "usb_autopm_put_interface" },
	{ 0xcf30c65f, "phy_disconnect" },
	{ 0xa7a42083, "mdiobus_unregister" },
	{ 0xd1aa7c70, "mdiobus_free" },
	{ 0x9855b41, "__irq_resolve_mapping" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x2b178fc8, "irq_domain_remove" },
	{ 0x518c1421, "irq_domain_free_fwnode" },
	{ 0x37a0cba, "kfree" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x7bb7c221, "genphy_read_status" },
	{ 0xdd52bab9, "phy_mii_ioctl" },
	{ 0xa3270778, "skb_pull" },
	{ 0x1c501927, "skb_clone" },
	{ 0x9b62d51a, "skb_trim" },
	{ 0xdd8ab079, "usbnet_skb_return" },
	{ 0x6c38fba, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb5ae34e0, "usbnet_get_endpoints" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9f109981, "__irq_domain_alloc_fwnode" },
	{ 0xabb00a8, "irq_domain_simple_ops" },
	{ 0xe077970c, "__irq_domain_add" },
	{ 0xae2ab29, "irq_create_mapping_affinity" },
	{ 0x1137063d, "dummy_irq_chip" },
	{ 0x32fc0727, "handle_simple_irq" },
	{ 0x6b17f0cb, "irq_set_chip_and_handler_name" },
	{ 0x200c0fe9, "mdiobus_alloc_size" },
	{ 0xbfb9ade6, "__mdiobus_register" },
	{ 0x35236aca, "phy_find_first" },
	{ 0xdd2780d8, "phy_connect_direct" },
	{ 0x74df43a7, "phy_attached_info" },
	{ 0x4d9fc0d0, "netdev_err" },
	{ 0x779d9909, "usbnet_suspend" },
	{ 0xfb578fc5, "memset" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x47f84666, "usbnet_probe" },
	{ 0x6685bef8, "usbnet_disconnect" },
	{ 0x9d3810dc, "usbnet_open" },
	{ 0x46f94cc1, "usbnet_stop" },
	{ 0x410242c5, "usbnet_start_xmit" },
	{ 0x8381aa5e, "eth_mac_addr" },
	{ 0x4dc9f559, "eth_validate_addr" },
	{ 0x1ab23814, "usbnet_change_mtu" },
	{ 0x92bda78c, "usbnet_tx_timeout" },
	{ 0x962b94c7, "dev_get_tstats64" },
	{ 0xabd789a6, "usbnet_get_drvinfo" },
	{ 0x8db9405b, "usbnet_get_msglevel" },
	{ 0xf941b198, "usbnet_set_msglevel" },
	{ 0x899b6a27, "phy_ethtool_nway_reset" },
	{ 0xa9cc647, "net_selftest" },
	{ 0x6664485a, "ethtool_op_get_ts_info" },
	{ 0x855bf00c, "phy_ethtool_get_link_ksettings" },
	{ 0x8a5f58db, "phy_ethtool_set_link_ksettings" },
	{ 0xa8790ea0, "param_ops_bool" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x1625f61a, "pskb_expand_head" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xe3d76edb, "dev_kfree_skb_any_reason" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x83049c67, "skb_push" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0x3743194a, "usbnet_read_cmd" },
	{ 0x52339c3d, "usbnet_read_cmd_nopm" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x358f5f81, "netdev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1aa2a6d6, "usbnet_write_cmd" },
	{ 0x54c09a6c, "usbnet_write_cmd_nopm" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x68718a1f, "__dynamic_netdev_dbg" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x8ae19bab, "generic_handle_domain_irq" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xd4272c18, "phy_start" },
	{ 0xae2207c5, "phy_stop" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf8360205, "device_set_wakeup_enable" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x466b9ff5, "netdev_info" },
	{ 0xb5b88059, "platform_get_ethdev_address" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "usbnet");

MODULE_ALIAS("usb:v0424p9500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9505d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424pEC00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9900d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9902d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9903d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9904d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9905d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9906d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9907d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9908d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9909d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9530d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9730d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E08d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0878p1400d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v184Fp0051d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "BBA785A20028130E5371717");
