#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xb5ae34e0, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x2caa686c, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x2f4e136b, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x219f5422, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xdd8ab079, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x462462f8, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x1ab23814, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x343bba79, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0xf000af24, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xc61a8dd1, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x548c4f21, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xf3557c64, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x46f94cc1, "_gpl");
SYMBOL_CRC(usbnet_open, 0x9d3810dc, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x9258ef56, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x4da509c6, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x1ddd3c0c, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xf6f583b9, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xda9a5c54, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xabd789a6, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x8db9405b, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xf941b198, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0xd888328d, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x92bda78c, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x410242c5, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x6685bef8, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x47f84666, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x779d9909, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x1368c624, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x75949c3b, "");
SYMBOL_CRC(usbnet_manage_power, 0x3d2480e0, "");
SYMBOL_CRC(usbnet_link_change, 0x0ac6b4f8, "");
SYMBOL_CRC(usbnet_read_cmd, 0x3743194a, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x1aa2a6d6, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x52339c3d, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x54c09a6c, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x06c38fba, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc47af422, "usb_set_interface" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xe72c4464, "usb_string" },
	{ 0x2cd6174c, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xed27bb4, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xfb578fc5, "memset" },
	{ 0x42688adb, "skb_defer_rx_timestamp" },
	{ 0xa2cc5919, "netif_rx" },
	{ 0x8bb7b2d5, "eth_type_trans" },
	{ 0x37326af0, "skb_queue_tail" },
	{ 0x68718a1f, "__dynamic_netdev_dbg" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x803e2798, "skb_queue_purge_reason" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xcc3c8fc5, "usb_get_urb" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xd852e584, "usb_unlink_urb" },
	{ 0xbee7f6ba, "usb_free_urb" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0x5d1da073, "usb_submit_urb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4d9fc0d0, "netdev_err" },
	{ 0x2329b7c2, "mii_ethtool_get_link_ksettings" },
	{ 0x636d2669, "mii_ethtool_set_link_ksettings" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x85509201, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c6830df, "unregister_netdev" },
	{ 0x2dbb5db, "consume_skb" },
	{ 0xdea480c7, "usb_get_from_anchor" },
	{ 0x5df5defb, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x5c9be6fc, "free_netdev" },
	{ 0x466b9ff5, "netdev_info" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0xdb7c7691, "netif_device_detach" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x432b0784, "netif_device_attach" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf36dd178, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ef5ad53, "usb_autopm_get_interface" },
	{ 0x91ddbccd, "usb_autopm_put_interface" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6483565f, "usb_alloc_urb" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x5cd92a6a, "mii_link_ok" },
	{ 0xdb23b668, "ethtool_op_get_link" },
	{ 0x3f9b0956, "usb_autopm_put_interface_async" },
	{ 0x17c93ea0, "netif_carrier_off" },
	{ 0x5dc35638, "netif_carrier_on" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdd64e639, "strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0xb08b4706, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x80432fd4, "register_netdev" },
	{ 0x30d958ea, "pm_runtime_enable" },
	{ 0x8d7584d3, "usb_check_bulk_endpoints" },
	{ 0x8333cafe, "skb_dequeue" },
	{ 0xf48b49c9, "_raw_spin_lock_nested" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x7b3a191b, "skb_clone_tx_timestamp" },
	{ 0x9e69736b, "usb_autopm_get_interface_async" },
	{ 0xe3d76edb, "dev_kfree_skb_any_reason" },
	{ 0x5010426a, "skb_tstamp_tx" },
	{ 0x14ba6ee2, "usb_anchor_urb" },
	{ 0xe35c51f1, "__netdev_alloc_skb" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x20f2631, "netif_tx_wake_queue" },
	{ 0x4cfdfb3c, "usb_autopm_get_interface_no_resume" },
	{ 0xd0a014d6, "skb_put" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xd1d57406, "usb_clear_halt" },
	{ 0x8381aa5e, "eth_mac_addr" },
	{ 0x4dc9f559, "eth_validate_addr" },
	{ 0x962b94c7, "dev_get_tstats64" },
	{ 0x6664485a, "ethtool_op_get_ts_info" },
	{ 0x1124aebc, "param_ops_int" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "014B19EBEDC46A67F9DFFDB");
