#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pps_lookup_dev, "", "");
KSYMTAB_FUNC(pps_register_source, "", "");
KSYMTAB_FUNC(pps_unregister_source, "", "");
KSYMTAB_FUNC(pps_event, "", "");

SYMBOL_CRC(pps_lookup_dev, 0xa5a8c9d7, "");
SYMBOL_CRC(pps_register_source, 0x30ab7b6d, "");
SYMBOL_CRC(pps_unregister_source, 0x06f8bbc4, "");
SYMBOL_CRC(pps_event, 0xe6800f98, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x53df7429, "finish_wait" },
	{ 0x5cf3c702, "kill_fasync" },
	{ 0xae63bd, "class_destroy" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x2cd6174c, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x93228d66, "idr_get_next" },
	{ 0xc43a8ac1, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x92955347, "cdev_add" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3cfc3506, "_dev_err" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xe81594d7, "device_create" },
	{ 0xc09ec37d, "class_create" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0xec30d835, "fasync_helper" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x5d305b42, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb70789e, "__might_fault" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xe159c43d, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6ce34771, "kobject_get" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0x3a5767ed, "cdev_del" },
	{ 0x4b685411, "kobject_put" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "33EF24C4AF3E32913EDCD92");
