#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb845aaa6, "nfs_clone_server" },
	{ 0x1f2d2cf9, "nlmclnt_proc" },
	{ 0xf68c1b38, "nfs_writeback_update_inode" },
	{ 0x3e4621dc, "nfs_alloc_client" },
	{ 0xa002032b, "nfs_dentry_operations" },
	{ 0x7c49769f, "xdr_write_pages" },
	{ 0x89523ce0, "xdr_inline_decode" },
	{ 0xd960ccc6, "nfs_submount" },
	{ 0x247fbc61, "__tracepoint_nfs_xdr_status" },
	{ 0x6efbf83f, "nfs_mknod" },
	{ 0x5a1569f2, "nfs_create_server" },
	{ 0x69acdf38, "memcpy" },
	{ 0x87cec9b4, "nfs_init_client" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe3eb25a0, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xc10fa179, "xdr_read_pages" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xf74f1d18, "nfs_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xea1e08ab, "nfs_mkdir" },
	{ 0x122c3a7e, "_printk" },
	{ 0x83103cc2, "nfs_try_get_tree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x10ec9549, "make_kuid" },
	{ 0xfeb42418, "__SCT__tp_func_nfs_xdr_status" },
	{ 0x2967901, "nfs_file_operations" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7d5c7dbc, "nfs_rename" },
	{ 0x77a8deea, "nfs_lookup" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xccf2c400, "__SCK__tp_func_nfs_xdr_status" },
	{ 0xd4e6770, "nfs_invalidate_atime" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xba94f647, "nfs_getattr" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc096985a, "register_nfs_version" },
	{ 0xdee791e2, "rpc_call_start" },
	{ 0x8a14f266, "rpc_call_sync" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x130b2546, "rpc_prepare_reply_pages" },
	{ 0x3ba252cc, "nfs_fs_type" },
	{ 0x1ea401, "nfs_setattr" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xb9693ba6, "xdr_terminate_string" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xcf2cd607, "make_kgid" },
	{ 0x60ddade1, "from_kgid_munged" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xf493c3fe, "xdr_reserve_space" },
	{ 0x12ca5732, "nfs_rmdir" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x38706485, "unregister_nfs_version" },
	{ 0xab14e77c, "nfs_setattr_update_inode" },
	{ 0x58db045e, "nfs_sops" },
	{ 0x83defb52, "nfs_instantiate" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9d9eb47c, "init_user_ns" },
	{ 0x6e34bbf2, "nfs_link" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x943c14ee, "nfs_permission" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x885d4c02, "from_kuid_munged" },
	{ 0x47f3d297, "kmalloc_trace" },
	{ 0xad97f3b1, "nfs_free_client" },
	{ 0xd2d2220, "nfs_close_context" },
	{ 0xce13c376, "nfs_refresh_inode" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x447a974, "kmalloc_caches" },
	{ 0xd7385e2f, "nfs_symlink" },
	{ 0xfcd5832e, "nfs_unlink" },
	{ 0x5558bd0e, "module_layout" },
};

MODULE_INFO(depends, "nfs,lockd,sunrpc");


MODULE_INFO(srcversion, "E378756F2061FDCB2E42CAA");
